XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

render.h
1 /*
2 * This file generated automatically from render.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __RENDER_H
13 #define __RENDER_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_RENDER_MAJOR_VERSION 0
23 #define XCB_RENDER_MINOR_VERSION 11
24
25 extern xcb_extension_t xcb_render_id;
26
27 typedef enum xcb_render_pict_type_t {
28 XCB_RENDER_PICT_TYPE_INDEXED,
29 XCB_RENDER_PICT_TYPE_DIRECT
30 } xcb_render_pict_type_t;
31
32 typedef enum xcb_render_picture_enum_t {
33 XCB_RENDER_PICTURE_NONE
34 } xcb_render_picture_enum_t;
35
36 typedef enum xcb_render_pict_op_t {
37 XCB_RENDER_PICT_OP_CLEAR,
38 XCB_RENDER_PICT_OP_SRC,
39 XCB_RENDER_PICT_OP_DST,
40 XCB_RENDER_PICT_OP_OVER,
41 XCB_RENDER_PICT_OP_OVER_REVERSE,
42 XCB_RENDER_PICT_OP_IN,
43 XCB_RENDER_PICT_OP_IN_REVERSE,
44 XCB_RENDER_PICT_OP_OUT,
45 XCB_RENDER_PICT_OP_OUT_REVERSE,
46 XCB_RENDER_PICT_OP_ATOP,
47 XCB_RENDER_PICT_OP_ATOP_REVERSE,
48 XCB_RENDER_PICT_OP_XOR,
49 XCB_RENDER_PICT_OP_ADD,
50 XCB_RENDER_PICT_OP_SATURATE,
51 XCB_RENDER_PICT_OP_DISJOINT_CLEAR = 16,
52 XCB_RENDER_PICT_OP_DISJOINT_SRC,
53 XCB_RENDER_PICT_OP_DISJOINT_DST,
54 XCB_RENDER_PICT_OP_DISJOINT_OVER,
55 XCB_RENDER_PICT_OP_DISJOINT_OVER_REVERSE,
56 XCB_RENDER_PICT_OP_DISJOINT_IN,
57 XCB_RENDER_PICT_OP_DISJOINT_IN_REVERSE,
58 XCB_RENDER_PICT_OP_DISJOINT_OUT,
59 XCB_RENDER_PICT_OP_DISJOINT_OUT_REVERSE,
60 XCB_RENDER_PICT_OP_DISJOINT_ATOP,
61 XCB_RENDER_PICT_OP_DISJOINT_ATOP_REVERSE,
62 XCB_RENDER_PICT_OP_DISJOINT_XOR,
63 XCB_RENDER_PICT_OP_CONJOINT_CLEAR = 32,
64 XCB_RENDER_PICT_OP_CONJOINT_SRC,
65 XCB_RENDER_PICT_OP_CONJOINT_DST,
66 XCB_RENDER_PICT_OP_CONJOINT_OVER,
67 XCB_RENDER_PICT_OP_CONJOINT_OVER_REVERSE,
68 XCB_RENDER_PICT_OP_CONJOINT_IN,
69 XCB_RENDER_PICT_OP_CONJOINT_IN_REVERSE,
70 XCB_RENDER_PICT_OP_CONJOINT_OUT,
71 XCB_RENDER_PICT_OP_CONJOINT_OUT_REVERSE,
72 XCB_RENDER_PICT_OP_CONJOINT_ATOP,
73 XCB_RENDER_PICT_OP_CONJOINT_ATOP_REVERSE,
74 XCB_RENDER_PICT_OP_CONJOINT_XOR,
75 XCB_RENDER_PICT_OP_MULTIPLY = 48,
76 XCB_RENDER_PICT_OP_SCREEN,
77 XCB_RENDER_PICT_OP_OVERLAY,
78 XCB_RENDER_PICT_OP_DARKEN,
79 XCB_RENDER_PICT_OP_LIGHTEN,
80 XCB_RENDER_PICT_OP_COLOR_DODGE,
81 XCB_RENDER_PICT_OP_COLOR_BURN,
82 XCB_RENDER_PICT_OP_HARD_LIGHT,
83 XCB_RENDER_PICT_OP_SOFT_LIGHT,
84 XCB_RENDER_PICT_OP_DIFFERENCE,
85 XCB_RENDER_PICT_OP_EXCLUSION,
86 XCB_RENDER_PICT_OP_HSL_HUE,
87 XCB_RENDER_PICT_OP_HSL_SATURATION,
88 XCB_RENDER_PICT_OP_HSL_COLOR,
89 XCB_RENDER_PICT_OP_HSL_LUMINOSITY
90 } xcb_render_pict_op_t;
91
92 typedef enum xcb_render_poly_edge_t {
93 XCB_RENDER_POLY_EDGE_SHARP,
94 XCB_RENDER_POLY_EDGE_SMOOTH
95 } xcb_render_poly_edge_t;
96
97 typedef enum xcb_render_poly_mode_t {
98 XCB_RENDER_POLY_MODE_PRECISE,
99 XCB_RENDER_POLY_MODE_IMPRECISE
100 } xcb_render_poly_mode_t;
101
102 typedef enum xcb_render_cp_t {
103 XCB_RENDER_CP_REPEAT = 1,
104 XCB_RENDER_CP_ALPHA_MAP = 2,
105 XCB_RENDER_CP_ALPHA_X_ORIGIN = 4,
106 XCB_RENDER_CP_ALPHA_Y_ORIGIN = 8,
107 XCB_RENDER_CP_CLIP_X_ORIGIN = 16,
108 XCB_RENDER_CP_CLIP_Y_ORIGIN = 32,
109 XCB_RENDER_CP_CLIP_MASK = 64,
110 XCB_RENDER_CP_GRAPHICS_EXPOSURE = 128,
111 XCB_RENDER_CP_SUBWINDOW_MODE = 256,
112 XCB_RENDER_CP_POLY_EDGE = 512,
113 XCB_RENDER_CP_POLY_MODE = 1024,
114 XCB_RENDER_CP_DITHER = 2048,
115 XCB_RENDER_CP_COMPONENT_ALPHA = 4096
116 } xcb_render_cp_t;
117
118 typedef enum xcb_render_sub_pixel_t {
119 XCB_RENDER_SUB_PIXEL_UNKNOWN,
120 XCB_RENDER_SUB_PIXEL_HORIZONTAL_RGB,
121 XCB_RENDER_SUB_PIXEL_HORIZONTAL_BGR,
122 XCB_RENDER_SUB_PIXEL_VERTICAL_RGB,
123 XCB_RENDER_SUB_PIXEL_VERTICAL_BGR,
124 XCB_RENDER_SUB_PIXEL_NONE
125 } xcb_render_sub_pixel_t;
126
127 typedef enum xcb_render_repeat_t {
128 XCB_RENDER_REPEAT_NONE,
129 XCB_RENDER_REPEAT_NORMAL,
130 XCB_RENDER_REPEAT_PAD,
131 XCB_RENDER_REPEAT_REFLECT
132 } xcb_render_repeat_t;
133
134 typedef uint32_t xcb_render_glyph_t;
135
139 typedef struct xcb_render_glyph_iterator_t {
140 xcb_render_glyph_t *data;
141 int rem;
142 int index;
143 } xcb_render_glyph_iterator_t;
144
145 typedef uint32_t xcb_render_glyphset_t;
146
150 typedef struct xcb_render_glyphset_iterator_t {
151 xcb_render_glyphset_t *data;
152 int rem;
153 int index;
154 } xcb_render_glyphset_iterator_t;
155
156 typedef uint32_t xcb_render_picture_t;
157
161 typedef struct xcb_render_picture_iterator_t {
162 xcb_render_picture_t *data;
163 int rem;
164 int index;
165 } xcb_render_picture_iterator_t;
166
167 typedef uint32_t xcb_render_pictformat_t;
168
172 typedef struct xcb_render_pictformat_iterator_t {
173 xcb_render_pictformat_t *data;
174 int rem;
175 int index;
176 } xcb_render_pictformat_iterator_t;
177
178 typedef int32_t xcb_render_fixed_t;
179
183 typedef struct xcb_render_fixed_iterator_t {
184 xcb_render_fixed_t *data;
185 int rem;
186 int index;
187 } xcb_render_fixed_iterator_t;
188
190 #define XCB_RENDER_PICT_FORMAT 0
191
195 typedef struct xcb_render_pict_format_error_t {
196 uint8_t response_type;
197 uint8_t error_code;
198 uint16_t sequence;
199 } xcb_render_pict_format_error_t;
200
202 #define XCB_RENDER_PICTURE 1
203
207 typedef struct xcb_render_picture_error_t {
208 uint8_t response_type;
209 uint8_t error_code;
210 uint16_t sequence;
211 } xcb_render_picture_error_t;
212
214 #define XCB_RENDER_PICT_OP 2
215
219 typedef struct xcb_render_pict_op_error_t {
220 uint8_t response_type;
221 uint8_t error_code;
222 uint16_t sequence;
223 } xcb_render_pict_op_error_t;
224
226 #define XCB_RENDER_GLYPH_SET 3
227
231 typedef struct xcb_render_glyph_set_error_t {
232 uint8_t response_type;
233 uint8_t error_code;
234 uint16_t sequence;
235 } xcb_render_glyph_set_error_t;
236
238 #define XCB_RENDER_GLYPH 4
239
243 typedef struct xcb_render_glyph_error_t {
244 uint8_t response_type;
245 uint8_t error_code;
246 uint16_t sequence;
247 } xcb_render_glyph_error_t;
248
252 typedef struct xcb_render_directformat_t {
253 uint16_t red_shift;
254 uint16_t red_mask;
255 uint16_t green_shift;
256 uint16_t green_mask;
257 uint16_t blue_shift;
258 uint16_t blue_mask;
259 uint16_t alpha_shift;
260 uint16_t alpha_mask;
261 } xcb_render_directformat_t;
262
266 typedef struct xcb_render_directformat_iterator_t {
267 xcb_render_directformat_t *data;
268 int rem;
269 int index;
270 } xcb_render_directformat_iterator_t;
271
275 typedef struct xcb_render_pictforminfo_t {
276 xcb_render_pictformat_t id;
277 uint8_t type;
278 uint8_t depth;
279 uint8_t pad0[2];
280 xcb_render_directformat_t direct;
281 xcb_colormap_t colormap;
282 } xcb_render_pictforminfo_t;
283
287 typedef struct xcb_render_pictforminfo_iterator_t {
288 xcb_render_pictforminfo_t *data;
289 int rem;
290 int index;
291 } xcb_render_pictforminfo_iterator_t;
292
296 typedef struct xcb_render_pictvisual_t {
297 xcb_visualid_t visual;
298 xcb_render_pictformat_t format;
299 } xcb_render_pictvisual_t;
300
304 typedef struct xcb_render_pictvisual_iterator_t {
305 xcb_render_pictvisual_t *data;
306 int rem;
307 int index;
308 } xcb_render_pictvisual_iterator_t;
309
313 typedef struct xcb_render_pictdepth_t {
314 uint8_t depth;
315 uint8_t pad0;
316 uint16_t num_visuals;
317 uint8_t pad1[4];
318 } xcb_render_pictdepth_t;
319
323 typedef struct xcb_render_pictdepth_iterator_t {
324 xcb_render_pictdepth_t *data;
325 int rem;
326 int index;
327 } xcb_render_pictdepth_iterator_t;
328
332 typedef struct xcb_render_pictscreen_t {
333 uint32_t num_depths;
334 xcb_render_pictformat_t fallback;
335 } xcb_render_pictscreen_t;
336
340 typedef struct xcb_render_pictscreen_iterator_t {
341 xcb_render_pictscreen_t *data;
342 int rem;
343 int index;
344 } xcb_render_pictscreen_iterator_t;
345
349 typedef struct xcb_render_indexvalue_t {
350 uint32_t pixel;
351 uint16_t red;
352 uint16_t green;
353 uint16_t blue;
354 uint16_t alpha;
355 } xcb_render_indexvalue_t;
356
360 typedef struct xcb_render_indexvalue_iterator_t {
361 xcb_render_indexvalue_t *data;
362 int rem;
363 int index;
364 } xcb_render_indexvalue_iterator_t;
365
369 typedef struct xcb_render_color_t {
370 uint16_t red;
371 uint16_t green;
372 uint16_t blue;
373 uint16_t alpha;
374 } xcb_render_color_t;
375
379 typedef struct xcb_render_color_iterator_t {
380 xcb_render_color_t *data;
381 int rem;
382 int index;
383 } xcb_render_color_iterator_t;
384
388 typedef struct xcb_render_pointfix_t {
389 xcb_render_fixed_t x;
390 xcb_render_fixed_t y;
391 } xcb_render_pointfix_t;
392
396 typedef struct xcb_render_pointfix_iterator_t {
397 xcb_render_pointfix_t *data;
398 int rem;
399 int index;
400 } xcb_render_pointfix_iterator_t;
401
405 typedef struct xcb_render_linefix_t {
406 xcb_render_pointfix_t p1;
407 xcb_render_pointfix_t p2;
408 } xcb_render_linefix_t;
409
413 typedef struct xcb_render_linefix_iterator_t {
414 xcb_render_linefix_t *data;
415 int rem;
416 int index;
417 } xcb_render_linefix_iterator_t;
418
422 typedef struct xcb_render_triangle_t {
423 xcb_render_pointfix_t p1;
424 xcb_render_pointfix_t p2;
425 xcb_render_pointfix_t p3;
426 } xcb_render_triangle_t;
427
431 typedef struct xcb_render_triangle_iterator_t {
432 xcb_render_triangle_t *data;
433 int rem;
434 int index;
435 } xcb_render_triangle_iterator_t;
436
440 typedef struct xcb_render_trapezoid_t {
441 xcb_render_fixed_t top;
442 xcb_render_fixed_t bottom;
443 xcb_render_linefix_t left;
444 xcb_render_linefix_t right;
445 } xcb_render_trapezoid_t;
446
450 typedef struct xcb_render_trapezoid_iterator_t {
451 xcb_render_trapezoid_t *data;
452 int rem;
453 int index;
454 } xcb_render_trapezoid_iterator_t;
455
459 typedef struct xcb_render_glyphinfo_t {
460 uint16_t width;
461 uint16_t height;
462 int16_t x;
463 int16_t y;
464 int16_t x_off;
465 int16_t y_off;
466 } xcb_render_glyphinfo_t;
467
471 typedef struct xcb_render_glyphinfo_iterator_t {
472 xcb_render_glyphinfo_t *data;
473 int rem;
474 int index;
475 } xcb_render_glyphinfo_iterator_t;
476
480 typedef struct xcb_render_query_version_cookie_t {
481 unsigned int sequence;
482 } xcb_render_query_version_cookie_t;
483
485 #define XCB_RENDER_QUERY_VERSION 0
486
490 typedef struct xcb_render_query_version_request_t {
491 uint8_t major_opcode;
492 uint8_t minor_opcode;
493 uint16_t length;
494 uint32_t client_major_version;
495 uint32_t client_minor_version;
496 } xcb_render_query_version_request_t;
497
501 typedef struct xcb_render_query_version_reply_t {
502 uint8_t response_type;
503 uint8_t pad0;
504 uint16_t sequence;
505 uint32_t length;
506 uint32_t major_version;
507 uint32_t minor_version;
508 uint8_t pad1[16];
509 } xcb_render_query_version_reply_t;
510
514 typedef struct xcb_render_query_pict_formats_cookie_t {
515 unsigned int sequence;
516 } xcb_render_query_pict_formats_cookie_t;
517
519 #define XCB_RENDER_QUERY_PICT_FORMATS 1
520
524 typedef struct xcb_render_query_pict_formats_request_t {
525 uint8_t major_opcode;
526 uint8_t minor_opcode;
527 uint16_t length;
528 } xcb_render_query_pict_formats_request_t;
529
533 typedef struct xcb_render_query_pict_formats_reply_t {
534 uint8_t response_type;
535 uint8_t pad0;
536 uint16_t sequence;
537 uint32_t length;
538 uint32_t num_formats;
539 uint32_t num_screens;
540 uint32_t num_depths;
541 uint32_t num_visuals;
542 uint32_t num_subpixel;
543 uint8_t pad1[4];
544 } xcb_render_query_pict_formats_reply_t;
545
549 typedef struct xcb_render_query_pict_index_values_cookie_t {
550 unsigned int sequence;
551 } xcb_render_query_pict_index_values_cookie_t;
552
554 #define XCB_RENDER_QUERY_PICT_INDEX_VALUES 2
555
559 typedef struct xcb_render_query_pict_index_values_request_t {
560 uint8_t major_opcode;
561 uint8_t minor_opcode;
562 uint16_t length;
563 xcb_render_pictformat_t format;
564 } xcb_render_query_pict_index_values_request_t;
565
569 typedef struct xcb_render_query_pict_index_values_reply_t {
570 uint8_t response_type;
571 uint8_t pad0;
572 uint16_t sequence;
573 uint32_t length;
574 uint32_t num_values;
575 uint8_t pad1[20];
576 } xcb_render_query_pict_index_values_reply_t;
577
579 #define XCB_RENDER_CREATE_PICTURE 4
580
584 typedef struct xcb_render_create_picture_request_t {
585 uint8_t major_opcode;
586 uint8_t minor_opcode;
587 uint16_t length;
588 xcb_render_picture_t pid;
589 xcb_drawable_t drawable;
590 xcb_render_pictformat_t format;
591 uint32_t value_mask;
592 } xcb_render_create_picture_request_t;
593
595 #define XCB_RENDER_CHANGE_PICTURE 5
596
600 typedef struct xcb_render_change_picture_request_t {
601 uint8_t major_opcode;
602 uint8_t minor_opcode;
603 uint16_t length;
604 xcb_render_picture_t picture;
605 uint32_t value_mask;
606 } xcb_render_change_picture_request_t;
607
609 #define XCB_RENDER_SET_PICTURE_CLIP_RECTANGLES 6
610
614 typedef struct xcb_render_set_picture_clip_rectangles_request_t {
615 uint8_t major_opcode;
616 uint8_t minor_opcode;
617 uint16_t length;
618 xcb_render_picture_t picture;
619 int16_t clip_x_origin;
620 int16_t clip_y_origin;
621 } xcb_render_set_picture_clip_rectangles_request_t;
622
624 #define XCB_RENDER_FREE_PICTURE 7
625
629 typedef struct xcb_render_free_picture_request_t {
630 uint8_t major_opcode;
631 uint8_t minor_opcode;
632 uint16_t length;
633 xcb_render_picture_t picture;
634 } xcb_render_free_picture_request_t;
635
637 #define XCB_RENDER_COMPOSITE 8
638
642 typedef struct xcb_render_composite_request_t {
643 uint8_t major_opcode;
644 uint8_t minor_opcode;
645 uint16_t length;
646 uint8_t op;
647 uint8_t pad0[3];
648 xcb_render_picture_t src;
649 xcb_render_picture_t mask;
650 xcb_render_picture_t dst;
651 int16_t src_x;
652 int16_t src_y;
653 int16_t mask_x;
654 int16_t mask_y;
655 int16_t dst_x;
656 int16_t dst_y;
657 uint16_t width;
658 uint16_t height;
659 } xcb_render_composite_request_t;
660
662 #define XCB_RENDER_TRAPEZOIDS 10
663
667 typedef struct xcb_render_trapezoids_request_t {
668 uint8_t major_opcode;
669 uint8_t minor_opcode;
670 uint16_t length;
671 uint8_t op;
672 uint8_t pad0[3];
673 xcb_render_picture_t src;
674 xcb_render_picture_t dst;
675 xcb_render_pictformat_t mask_format;
676 int16_t src_x;
677 int16_t src_y;
678 } xcb_render_trapezoids_request_t;
679
681 #define XCB_RENDER_TRIANGLES 11
682
686 typedef struct xcb_render_triangles_request_t {
687 uint8_t major_opcode;
688 uint8_t minor_opcode;
689 uint16_t length;
690 uint8_t op;
691 uint8_t pad0[3];
692 xcb_render_picture_t src;
693 xcb_render_picture_t dst;
694 xcb_render_pictformat_t mask_format;
695 int16_t src_x;
696 int16_t src_y;
697 } xcb_render_triangles_request_t;
698
700 #define XCB_RENDER_TRI_STRIP 12
701
705 typedef struct xcb_render_tri_strip_request_t {
706 uint8_t major_opcode;
707 uint8_t minor_opcode;
708 uint16_t length;
709 uint8_t op;
710 uint8_t pad0[3];
711 xcb_render_picture_t src;
712 xcb_render_picture_t dst;
713 xcb_render_pictformat_t mask_format;
714 int16_t src_x;
715 int16_t src_y;
716 } xcb_render_tri_strip_request_t;
717
719 #define XCB_RENDER_TRI_FAN 13
720
724 typedef struct xcb_render_tri_fan_request_t {
725 uint8_t major_opcode;
726 uint8_t minor_opcode;
727 uint16_t length;
728 uint8_t op;
729 uint8_t pad0[3];
730 xcb_render_picture_t src;
731 xcb_render_picture_t dst;
732 xcb_render_pictformat_t mask_format;
733 int16_t src_x;
734 int16_t src_y;
735 } xcb_render_tri_fan_request_t;
736
738 #define XCB_RENDER_CREATE_GLYPH_SET 17
739
743 typedef struct xcb_render_create_glyph_set_request_t {
744 uint8_t major_opcode;
745 uint8_t minor_opcode;
746 uint16_t length;
747 xcb_render_glyphset_t gsid;
748 xcb_render_pictformat_t format;
749 } xcb_render_create_glyph_set_request_t;
750
752 #define XCB_RENDER_REFERENCE_GLYPH_SET 18
753
757 typedef struct xcb_render_reference_glyph_set_request_t {
758 uint8_t major_opcode;
759 uint8_t minor_opcode;
760 uint16_t length;
761 xcb_render_glyphset_t gsid;
762 xcb_render_glyphset_t existing;
763 } xcb_render_reference_glyph_set_request_t;
764
766 #define XCB_RENDER_FREE_GLYPH_SET 19
767
771 typedef struct xcb_render_free_glyph_set_request_t {
772 uint8_t major_opcode;
773 uint8_t minor_opcode;
774 uint16_t length;
775 xcb_render_glyphset_t glyphset;
776 } xcb_render_free_glyph_set_request_t;
777
779 #define XCB_RENDER_ADD_GLYPHS 20
780
784 typedef struct xcb_render_add_glyphs_request_t {
785 uint8_t major_opcode;
786 uint8_t minor_opcode;
787 uint16_t length;
788 xcb_render_glyphset_t glyphset;
789 uint32_t glyphs_len;
790 } xcb_render_add_glyphs_request_t;
791
793 #define XCB_RENDER_FREE_GLYPHS 22
794
798 typedef struct xcb_render_free_glyphs_request_t {
799 uint8_t major_opcode;
800 uint8_t minor_opcode;
801 uint16_t length;
802 xcb_render_glyphset_t glyphset;
803 } xcb_render_free_glyphs_request_t;
804
806 #define XCB_RENDER_COMPOSITE_GLYPHS_8 23
807
811 typedef struct xcb_render_composite_glyphs_8_request_t {
812 uint8_t major_opcode;
813 uint8_t minor_opcode;
814 uint16_t length;
815 uint8_t op;
816 uint8_t pad0[3];
817 xcb_render_picture_t src;
818 xcb_render_picture_t dst;
819 xcb_render_pictformat_t mask_format;
820 xcb_render_glyphset_t glyphset;
821 int16_t src_x;
822 int16_t src_y;
823 } xcb_render_composite_glyphs_8_request_t;
824
826 #define XCB_RENDER_COMPOSITE_GLYPHS_16 24
827
831 typedef struct xcb_render_composite_glyphs_16_request_t {
832 uint8_t major_opcode;
833 uint8_t minor_opcode;
834 uint16_t length;
835 uint8_t op;
836 uint8_t pad0[3];
837 xcb_render_picture_t src;
838 xcb_render_picture_t dst;
839 xcb_render_pictformat_t mask_format;
840 xcb_render_glyphset_t glyphset;
841 int16_t src_x;
842 int16_t src_y;
843 } xcb_render_composite_glyphs_16_request_t;
844
846 #define XCB_RENDER_COMPOSITE_GLYPHS_32 25
847
851 typedef struct xcb_render_composite_glyphs_32_request_t {
852 uint8_t major_opcode;
853 uint8_t minor_opcode;
854 uint16_t length;
855 uint8_t op;
856 uint8_t pad0[3];
857 xcb_render_picture_t src;
858 xcb_render_picture_t dst;
859 xcb_render_pictformat_t mask_format;
860 xcb_render_glyphset_t glyphset;
861 int16_t src_x;
862 int16_t src_y;
863 } xcb_render_composite_glyphs_32_request_t;
864
866 #define XCB_RENDER_FILL_RECTANGLES 26
867
871 typedef struct xcb_render_fill_rectangles_request_t {
872 uint8_t major_opcode;
873 uint8_t minor_opcode;
874 uint16_t length;
875 uint8_t op;
876 uint8_t pad0[3];
877 xcb_render_picture_t dst;
878 xcb_render_color_t color;
879 } xcb_render_fill_rectangles_request_t;
880
882 #define XCB_RENDER_CREATE_CURSOR 27
883
887 typedef struct xcb_render_create_cursor_request_t {
888 uint8_t major_opcode;
889 uint8_t minor_opcode;
890 uint16_t length;
891 xcb_cursor_t cid;
892 xcb_render_picture_t source;
893 uint16_t x;
894 uint16_t y;
895 } xcb_render_create_cursor_request_t;
896
900 typedef struct xcb_render_transform_t {
901 xcb_render_fixed_t matrix11;
902 xcb_render_fixed_t matrix12;
903 xcb_render_fixed_t matrix13;
904 xcb_render_fixed_t matrix21;
905 xcb_render_fixed_t matrix22;
906 xcb_render_fixed_t matrix23;
907 xcb_render_fixed_t matrix31;
908 xcb_render_fixed_t matrix32;
909 xcb_render_fixed_t matrix33;
910 } xcb_render_transform_t;
911
915 typedef struct xcb_render_transform_iterator_t {
916 xcb_render_transform_t *data;
917 int rem;
918 int index;
919 } xcb_render_transform_iterator_t;
920
922 #define XCB_RENDER_SET_PICTURE_TRANSFORM 28
923
927 typedef struct xcb_render_set_picture_transform_request_t {
928 uint8_t major_opcode;
929 uint8_t minor_opcode;
930 uint16_t length;
931 xcb_render_picture_t picture;
932 xcb_render_transform_t transform;
933 } xcb_render_set_picture_transform_request_t;
934
938 typedef struct xcb_render_query_filters_cookie_t {
939 unsigned int sequence;
940 } xcb_render_query_filters_cookie_t;
941
943 #define XCB_RENDER_QUERY_FILTERS 29
944
948 typedef struct xcb_render_query_filters_request_t {
949 uint8_t major_opcode;
950 uint8_t minor_opcode;
951 uint16_t length;
952 xcb_drawable_t drawable;
953 } xcb_render_query_filters_request_t;
954
958 typedef struct xcb_render_query_filters_reply_t {
959 uint8_t response_type;
960 uint8_t pad0;
961 uint16_t sequence;
962 uint32_t length;
963 uint32_t num_aliases;
964 uint32_t num_filters;
965 uint8_t pad1[16];
966 } xcb_render_query_filters_reply_t;
967
969 #define XCB_RENDER_SET_PICTURE_FILTER 30
970
974 typedef struct xcb_render_set_picture_filter_request_t {
975 uint8_t major_opcode;
976 uint8_t minor_opcode;
977 uint16_t length;
978 xcb_render_picture_t picture;
979 uint16_t filter_len;
980 uint8_t pad0[2];
981 } xcb_render_set_picture_filter_request_t;
982
986 typedef struct xcb_render_animcursorelt_t {
987 xcb_cursor_t cursor;
988 uint32_t delay;
989 } xcb_render_animcursorelt_t;
990
994 typedef struct xcb_render_animcursorelt_iterator_t {
995 xcb_render_animcursorelt_t *data;
996 int rem;
997 int index;
998 } xcb_render_animcursorelt_iterator_t;
999
1001 #define XCB_RENDER_CREATE_ANIM_CURSOR 31
1002
1006 typedef struct xcb_render_create_anim_cursor_request_t {
1007 uint8_t major_opcode;
1008 uint8_t minor_opcode;
1009 uint16_t length;
1010 xcb_cursor_t cid;
1011 } xcb_render_create_anim_cursor_request_t;
1012
1016 typedef struct xcb_render_spanfix_t {
1017 xcb_render_fixed_t l;
1018 xcb_render_fixed_t r;
1019 xcb_render_fixed_t y;
1020 } xcb_render_spanfix_t;
1021
1025 typedef struct xcb_render_spanfix_iterator_t {
1026 xcb_render_spanfix_t *data;
1027 int rem;
1028 int index;
1029 } xcb_render_spanfix_iterator_t;
1030
1034 typedef struct xcb_render_trap_t {
1035 xcb_render_spanfix_t top;
1036 xcb_render_spanfix_t bot;
1037 } xcb_render_trap_t;
1038
1042 typedef struct xcb_render_trap_iterator_t {
1043 xcb_render_trap_t *data;
1044 int rem;
1045 int index;
1046 } xcb_render_trap_iterator_t;
1047
1049 #define XCB_RENDER_ADD_TRAPS 32
1050
1054 typedef struct xcb_render_add_traps_request_t {
1055 uint8_t major_opcode;
1056 uint8_t minor_opcode;
1057 uint16_t length;
1058 xcb_render_picture_t picture;
1059 int16_t x_off;
1060 int16_t y_off;
1061 } xcb_render_add_traps_request_t;
1062
1064 #define XCB_RENDER_CREATE_SOLID_FILL 33
1065
1069 typedef struct xcb_render_create_solid_fill_request_t {
1070 uint8_t major_opcode;
1071 uint8_t minor_opcode;
1072 uint16_t length;
1073 xcb_render_picture_t picture;
1074 xcb_render_color_t color;
1075 } xcb_render_create_solid_fill_request_t;
1076
1078 #define XCB_RENDER_CREATE_LINEAR_GRADIENT 34
1079
1083 typedef struct xcb_render_create_linear_gradient_request_t {
1084 uint8_t major_opcode;
1085 uint8_t minor_opcode;
1086 uint16_t length;
1087 xcb_render_picture_t picture;
1088 xcb_render_pointfix_t p1;
1089 xcb_render_pointfix_t p2;
1090 uint32_t num_stops;
1091 } xcb_render_create_linear_gradient_request_t;
1092
1094 #define XCB_RENDER_CREATE_RADIAL_GRADIENT 35
1095
1099 typedef struct xcb_render_create_radial_gradient_request_t {
1100 uint8_t major_opcode;
1101 uint8_t minor_opcode;
1102 uint16_t length;
1103 xcb_render_picture_t picture;
1104 xcb_render_pointfix_t inner;
1105 xcb_render_pointfix_t outer;
1106 xcb_render_fixed_t inner_radius;
1107 xcb_render_fixed_t outer_radius;
1108 uint32_t num_stops;
1109 } xcb_render_create_radial_gradient_request_t;
1110
1112 #define XCB_RENDER_CREATE_CONICAL_GRADIENT 36
1113
1117 typedef struct xcb_render_create_conical_gradient_request_t {
1118 uint8_t major_opcode;
1119 uint8_t minor_opcode;
1120 uint16_t length;
1121 xcb_render_picture_t picture;
1122 xcb_render_pointfix_t center;
1123 xcb_render_fixed_t angle;
1124 uint32_t num_stops;
1125 } xcb_render_create_conical_gradient_request_t;
1126
1136 /*****************************************************************************
1137 **
1138 ** void xcb_render_glyph_next
1139 **
1140 ** @param xcb_render_glyph_iterator_t *i
1141 ** @returns void
1142 **
1143 *****************************************************************************/
1144
1145 void
1146 xcb_render_glyph_next (xcb_render_glyph_iterator_t *i );
1147
1158 /*****************************************************************************
1159 **
1160 ** xcb_generic_iterator_t xcb_render_glyph_end
1161 **
1162 ** @param xcb_render_glyph_iterator_t i
1163 ** @returns xcb_generic_iterator_t
1164 **
1165 *****************************************************************************/
1166
1167 xcb_generic_iterator_t
1168 xcb_render_glyph_end (xcb_render_glyph_iterator_t i );
1169
1179 /*****************************************************************************
1180 **
1181 ** void xcb_render_glyphset_next
1182 **
1183 ** @param xcb_render_glyphset_iterator_t *i
1184 ** @returns void
1185 **
1186 *****************************************************************************/
1187
1188 void
1189 xcb_render_glyphset_next (xcb_render_glyphset_iterator_t *i );
1190
1201 /*****************************************************************************
1202 **
1203 ** xcb_generic_iterator_t xcb_render_glyphset_end
1204 **
1205 ** @param xcb_render_glyphset_iterator_t i
1206 ** @returns xcb_generic_iterator_t
1207 **
1208 *****************************************************************************/
1209
1210 xcb_generic_iterator_t
1211 xcb_render_glyphset_end (xcb_render_glyphset_iterator_t i );
1212
1222 /*****************************************************************************
1223 **
1224 ** void xcb_render_picture_next
1225 **
1226 ** @param xcb_render_picture_iterator_t *i
1227 ** @returns void
1228 **
1229 *****************************************************************************/
1230
1231 void
1232 xcb_render_picture_next (xcb_render_picture_iterator_t *i );
1233
1244 /*****************************************************************************
1245 **
1246 ** xcb_generic_iterator_t xcb_render_picture_end
1247 **
1248 ** @param xcb_render_picture_iterator_t i
1249 ** @returns xcb_generic_iterator_t
1250 **
1251 *****************************************************************************/
1252
1253 xcb_generic_iterator_t
1254 xcb_render_picture_end (xcb_render_picture_iterator_t i );
1255
1265 /*****************************************************************************
1266 **
1267 ** void xcb_render_pictformat_next
1268 **
1269 ** @param xcb_render_pictformat_iterator_t *i
1270 ** @returns void
1271 **
1272 *****************************************************************************/
1273
1274 void
1275 xcb_render_pictformat_next (xcb_render_pictformat_iterator_t *i );
1276
1287 /*****************************************************************************
1288 **
1289 ** xcb_generic_iterator_t xcb_render_pictformat_end
1290 **
1291 ** @param xcb_render_pictformat_iterator_t i
1292 ** @returns xcb_generic_iterator_t
1293 **
1294 *****************************************************************************/
1295
1296 xcb_generic_iterator_t
1297 xcb_render_pictformat_end (xcb_render_pictformat_iterator_t i );
1298
1308 /*****************************************************************************
1309 **
1310 ** void xcb_render_fixed_next
1311 **
1312 ** @param xcb_render_fixed_iterator_t *i
1313 ** @returns void
1314 **
1315 *****************************************************************************/
1316
1317 void
1318 xcb_render_fixed_next (xcb_render_fixed_iterator_t *i );
1319
1330 /*****************************************************************************
1331 **
1332 ** xcb_generic_iterator_t xcb_render_fixed_end
1333 **
1334 ** @param xcb_render_fixed_iterator_t i
1335 ** @returns xcb_generic_iterator_t
1336 **
1337 *****************************************************************************/
1338
1339 xcb_generic_iterator_t
1340 xcb_render_fixed_end (xcb_render_fixed_iterator_t i );
1341
1351 /*****************************************************************************
1352 **
1353 ** void xcb_render_directformat_next
1354 **
1355 ** @param xcb_render_directformat_iterator_t *i
1356 ** @returns void
1357 **
1358 *****************************************************************************/
1359
1360 void
1361 xcb_render_directformat_next (xcb_render_directformat_iterator_t *i );
1362
1373 /*****************************************************************************
1374 **
1375 ** xcb_generic_iterator_t xcb_render_directformat_end
1376 **
1377 ** @param xcb_render_directformat_iterator_t i
1378 ** @returns xcb_generic_iterator_t
1379 **
1380 *****************************************************************************/
1381
1382 xcb_generic_iterator_t
1383 xcb_render_directformat_end (xcb_render_directformat_iterator_t i );
1384
1394 /*****************************************************************************
1395 **
1396 ** void xcb_render_pictforminfo_next
1397 **
1398 ** @param xcb_render_pictforminfo_iterator_t *i
1399 ** @returns void
1400 **
1401 *****************************************************************************/
1402
1403 void
1404 xcb_render_pictforminfo_next (xcb_render_pictforminfo_iterator_t *i );
1405
1416 /*****************************************************************************
1417 **
1418 ** xcb_generic_iterator_t xcb_render_pictforminfo_end
1419 **
1420 ** @param xcb_render_pictforminfo_iterator_t i
1421 ** @returns xcb_generic_iterator_t
1422 **
1423 *****************************************************************************/
1424
1425 xcb_generic_iterator_t
1426 xcb_render_pictforminfo_end (xcb_render_pictforminfo_iterator_t i );
1427
1437 /*****************************************************************************
1438 **
1439 ** void xcb_render_pictvisual_next
1440 **
1441 ** @param xcb_render_pictvisual_iterator_t *i
1442 ** @returns void
1443 **
1444 *****************************************************************************/
1445
1446 void
1447 xcb_render_pictvisual_next (xcb_render_pictvisual_iterator_t *i );
1448
1459 /*****************************************************************************
1460 **
1461 ** xcb_generic_iterator_t xcb_render_pictvisual_end
1462 **
1463 ** @param xcb_render_pictvisual_iterator_t i
1464 ** @returns xcb_generic_iterator_t
1465 **
1466 *****************************************************************************/
1467
1468 xcb_generic_iterator_t
1469 xcb_render_pictvisual_end (xcb_render_pictvisual_iterator_t i );
1470
1471 int
1472 xcb_render_pictdepth_sizeof (const void *_buffer );
1473
1474
1475 /*****************************************************************************
1476 **
1477 ** xcb_render_pictvisual_t * xcb_render_pictdepth_visuals
1478 **
1479 ** @param const xcb_render_pictdepth_t *R
1480 ** @returns xcb_render_pictvisual_t *
1481 **
1482 *****************************************************************************/
1483
1484 xcb_render_pictvisual_t *
1485 xcb_render_pictdepth_visuals (const xcb_render_pictdepth_t *R );
1486
1487
1488 /*****************************************************************************
1489 **
1490 ** int xcb_render_pictdepth_visuals_length
1491 **
1492 ** @param const xcb_render_pictdepth_t *R
1493 ** @returns int
1494 **
1495 *****************************************************************************/
1496
1497 int
1498 xcb_render_pictdepth_visuals_length (const xcb_render_pictdepth_t *R );
1499
1500
1501 /*****************************************************************************
1502 **
1503 ** xcb_render_pictvisual_iterator_t xcb_render_pictdepth_visuals_iterator
1504 **
1505 ** @param const xcb_render_pictdepth_t *R
1506 ** @returns xcb_render_pictvisual_iterator_t
1507 **
1508 *****************************************************************************/
1509
1510 xcb_render_pictvisual_iterator_t
1511 xcb_render_pictdepth_visuals_iterator (const xcb_render_pictdepth_t *R );
1512
1522 /*****************************************************************************
1523 **
1524 ** void xcb_render_pictdepth_next
1525 **
1526 ** @param xcb_render_pictdepth_iterator_t *i
1527 ** @returns void
1528 **
1529 *****************************************************************************/
1530
1531 void
1532 xcb_render_pictdepth_next (xcb_render_pictdepth_iterator_t *i );
1533
1544 /*****************************************************************************
1545 **
1546 ** xcb_generic_iterator_t xcb_render_pictdepth_end
1547 **
1548 ** @param xcb_render_pictdepth_iterator_t i
1549 ** @returns xcb_generic_iterator_t
1550 **
1551 *****************************************************************************/
1552
1553 xcb_generic_iterator_t
1554 xcb_render_pictdepth_end (xcb_render_pictdepth_iterator_t i );
1555
1556 int
1557 xcb_render_pictscreen_sizeof (const void *_buffer );
1558
1559
1560 /*****************************************************************************
1561 **
1562 ** int xcb_render_pictscreen_depths_length
1563 **
1564 ** @param const xcb_render_pictscreen_t *R
1565 ** @returns int
1566 **
1567 *****************************************************************************/
1568
1569 int
1570 xcb_render_pictscreen_depths_length (const xcb_render_pictscreen_t *R );
1571
1572
1573 /*****************************************************************************
1574 **
1575 ** xcb_render_pictdepth_iterator_t xcb_render_pictscreen_depths_iterator
1576 **
1577 ** @param const xcb_render_pictscreen_t *R
1578 ** @returns xcb_render_pictdepth_iterator_t
1579 **
1580 *****************************************************************************/
1581
1582 xcb_render_pictdepth_iterator_t
1583 xcb_render_pictscreen_depths_iterator (const xcb_render_pictscreen_t *R );
1584
1594 /*****************************************************************************
1595 **
1596 ** void xcb_render_pictscreen_next
1597 **
1598 ** @param xcb_render_pictscreen_iterator_t *i
1599 ** @returns void
1600 **
1601 *****************************************************************************/
1602
1603 void
1604 xcb_render_pictscreen_next (xcb_render_pictscreen_iterator_t *i );
1605
1616 /*****************************************************************************
1617 **
1618 ** xcb_generic_iterator_t xcb_render_pictscreen_end
1619 **
1620 ** @param xcb_render_pictscreen_iterator_t i
1621 ** @returns xcb_generic_iterator_t
1622 **
1623 *****************************************************************************/
1624
1625 xcb_generic_iterator_t
1626 xcb_render_pictscreen_end (xcb_render_pictscreen_iterator_t i );
1627
1637 /*****************************************************************************
1638 **
1639 ** void xcb_render_indexvalue_next
1640 **
1641 ** @param xcb_render_indexvalue_iterator_t *i
1642 ** @returns void
1643 **
1644 *****************************************************************************/
1645
1646 void
1647 xcb_render_indexvalue_next (xcb_render_indexvalue_iterator_t *i );
1648
1659 /*****************************************************************************
1660 **
1661 ** xcb_generic_iterator_t xcb_render_indexvalue_end
1662 **
1663 ** @param xcb_render_indexvalue_iterator_t i
1664 ** @returns xcb_generic_iterator_t
1665 **
1666 *****************************************************************************/
1667
1668 xcb_generic_iterator_t
1669 xcb_render_indexvalue_end (xcb_render_indexvalue_iterator_t i );
1670
1680 /*****************************************************************************
1681 **
1682 ** void xcb_render_color_next
1683 **
1684 ** @param xcb_render_color_iterator_t *i
1685 ** @returns void
1686 **
1687 *****************************************************************************/
1688
1689 void
1690 xcb_render_color_next (xcb_render_color_iterator_t *i );
1691
1702 /*****************************************************************************
1703 **
1704 ** xcb_generic_iterator_t xcb_render_color_end
1705 **
1706 ** @param xcb_render_color_iterator_t i
1707 ** @returns xcb_generic_iterator_t
1708 **
1709 *****************************************************************************/
1710
1711 xcb_generic_iterator_t
1712 xcb_render_color_end (xcb_render_color_iterator_t i );
1713
1723 /*****************************************************************************
1724 **
1725 ** void xcb_render_pointfix_next
1726 **
1727 ** @param xcb_render_pointfix_iterator_t *i
1728 ** @returns void
1729 **
1730 *****************************************************************************/
1731
1732 void
1733 xcb_render_pointfix_next (xcb_render_pointfix_iterator_t *i );
1734
1745 /*****************************************************************************
1746 **
1747 ** xcb_generic_iterator_t xcb_render_pointfix_end
1748 **
1749 ** @param xcb_render_pointfix_iterator_t i
1750 ** @returns xcb_generic_iterator_t
1751 **
1752 *****************************************************************************/
1753
1754 xcb_generic_iterator_t
1755 xcb_render_pointfix_end (xcb_render_pointfix_iterator_t i );
1756
1766 /*****************************************************************************
1767 **
1768 ** void xcb_render_linefix_next
1769 **
1770 ** @param xcb_render_linefix_iterator_t *i
1771 ** @returns void
1772 **
1773 *****************************************************************************/
1774
1775 void
1776 xcb_render_linefix_next (xcb_render_linefix_iterator_t *i );
1777
1788 /*****************************************************************************
1789 **
1790 ** xcb_generic_iterator_t xcb_render_linefix_end
1791 **
1792 ** @param xcb_render_linefix_iterator_t i
1793 ** @returns xcb_generic_iterator_t
1794 **
1795 *****************************************************************************/
1796
1797 xcb_generic_iterator_t
1798 xcb_render_linefix_end (xcb_render_linefix_iterator_t i );
1799
1809 /*****************************************************************************
1810 **
1811 ** void xcb_render_triangle_next
1812 **
1813 ** @param xcb_render_triangle_iterator_t *i
1814 ** @returns void
1815 **
1816 *****************************************************************************/
1817
1818 void
1819 xcb_render_triangle_next (xcb_render_triangle_iterator_t *i );
1820
1831 /*****************************************************************************
1832 **
1833 ** xcb_generic_iterator_t xcb_render_triangle_end
1834 **
1835 ** @param xcb_render_triangle_iterator_t i
1836 ** @returns xcb_generic_iterator_t
1837 **
1838 *****************************************************************************/
1839
1840 xcb_generic_iterator_t
1841 xcb_render_triangle_end (xcb_render_triangle_iterator_t i );
1842
1852 /*****************************************************************************
1853 **
1854 ** void xcb_render_trapezoid_next
1855 **
1856 ** @param xcb_render_trapezoid_iterator_t *i
1857 ** @returns void
1858 **
1859 *****************************************************************************/
1860
1861 void
1862 xcb_render_trapezoid_next (xcb_render_trapezoid_iterator_t *i );
1863
1874 /*****************************************************************************
1875 **
1876 ** xcb_generic_iterator_t xcb_render_trapezoid_end
1877 **
1878 ** @param xcb_render_trapezoid_iterator_t i
1879 ** @returns xcb_generic_iterator_t
1880 **
1881 *****************************************************************************/
1882
1883 xcb_generic_iterator_t
1884 xcb_render_trapezoid_end (xcb_render_trapezoid_iterator_t i );
1885
1895 /*****************************************************************************
1896 **
1897 ** void xcb_render_glyphinfo_next
1898 **
1899 ** @param xcb_render_glyphinfo_iterator_t *i
1900 ** @returns void
1901 **
1902 *****************************************************************************/
1903
1904 void
1905 xcb_render_glyphinfo_next (xcb_render_glyphinfo_iterator_t *i );
1906
1917 /*****************************************************************************
1918 **
1919 ** xcb_generic_iterator_t xcb_render_glyphinfo_end
1920 **
1921 ** @param xcb_render_glyphinfo_iterator_t i
1922 ** @returns xcb_generic_iterator_t
1923 **
1924 *****************************************************************************/
1925
1926 xcb_generic_iterator_t
1927 xcb_render_glyphinfo_end (xcb_render_glyphinfo_iterator_t i );
1928
1938 /*****************************************************************************
1939 **
1940 ** xcb_render_query_version_cookie_t xcb_render_query_version
1941 **
1942 ** @param xcb_connection_t *c
1943 ** @param uint32_t client_major_version
1944 ** @param uint32_t client_minor_version
1945 ** @returns xcb_render_query_version_cookie_t
1946 **
1947 *****************************************************************************/
1948
1949 xcb_render_query_version_cookie_t
1950 xcb_render_query_version (xcb_connection_t *c ,
1951 uint32_t client_major_version ,
1952 uint32_t client_minor_version );
1953
1966 /*****************************************************************************
1967 **
1968 ** xcb_render_query_version_cookie_t xcb_render_query_version_unchecked
1969 **
1970 ** @param xcb_connection_t *c
1971 ** @param uint32_t client_major_version
1972 ** @param uint32_t client_minor_version
1973 ** @returns xcb_render_query_version_cookie_t
1974 **
1975 *****************************************************************************/
1976
1977 xcb_render_query_version_cookie_t
1978 xcb_render_query_version_unchecked (xcb_connection_t *c ,
1979 uint32_t client_major_version ,
1980 uint32_t client_minor_version );
1981
1997 /*****************************************************************************
1998 **
1999 ** xcb_render_query_version_reply_t * xcb_render_query_version_reply
2000 **
2001 ** @param xcb_connection_t *c
2002 ** @param xcb_render_query_version_cookie_t cookie
2003 ** @param xcb_generic_error_t **e
2004 ** @returns xcb_render_query_version_reply_t *
2005 **
2006 *****************************************************************************/
2007
2008 xcb_render_query_version_reply_t *
2009 xcb_render_query_version_reply (xcb_connection_t *c ,
2010 xcb_render_query_version_cookie_t cookie ,
2011 xcb_generic_error_t **e );
2012
2013 int
2014 xcb_render_query_pict_formats_sizeof (const void *_buffer );
2015
2025 /*****************************************************************************
2026 **
2027 ** xcb_render_query_pict_formats_cookie_t xcb_render_query_pict_formats
2028 **
2029 ** @param xcb_connection_t *c
2030 ** @returns xcb_render_query_pict_formats_cookie_t
2031 **
2032 *****************************************************************************/
2033
2034 xcb_render_query_pict_formats_cookie_t
2035 xcb_render_query_pict_formats (xcb_connection_t *c );
2036
2049 /*****************************************************************************
2050 **
2051 ** xcb_render_query_pict_formats_cookie_t xcb_render_query_pict_formats_unchecked
2052 **
2053 ** @param xcb_connection_t *c
2054 ** @returns xcb_render_query_pict_formats_cookie_t
2055 **
2056 *****************************************************************************/
2057
2058 xcb_render_query_pict_formats_cookie_t
2059 xcb_render_query_pict_formats_unchecked (xcb_connection_t *c );
2060
2061
2062 /*****************************************************************************
2063 **
2064 ** xcb_render_pictforminfo_t * xcb_render_query_pict_formats_formats
2065 **
2066 ** @param const xcb_render_query_pict_formats_reply_t *R
2067 ** @returns xcb_render_pictforminfo_t *
2068 **
2069 *****************************************************************************/
2070
2071 xcb_render_pictforminfo_t *
2072 xcb_render_query_pict_formats_formats (const xcb_render_query_pict_formats_reply_t *R );
2073
2074
2075 /*****************************************************************************
2076 **
2077 ** int xcb_render_query_pict_formats_formats_length
2078 **
2079 ** @param const xcb_render_query_pict_formats_reply_t *R
2080 ** @returns int
2081 **
2082 *****************************************************************************/
2083
2084 int
2085 xcb_render_query_pict_formats_formats_length (const xcb_render_query_pict_formats_reply_t *R );
2086
2087
2088 /*****************************************************************************
2089 **
2090 ** xcb_render_pictforminfo_iterator_t xcb_render_query_pict_formats_formats_iterator
2091 **
2092 ** @param const xcb_render_query_pict_formats_reply_t *R
2093 ** @returns xcb_render_pictforminfo_iterator_t
2094 **
2095 *****************************************************************************/
2096
2097 xcb_render_pictforminfo_iterator_t
2098 xcb_render_query_pict_formats_formats_iterator (const xcb_render_query_pict_formats_reply_t *R );
2099
2100
2101 /*****************************************************************************
2102 **
2103 ** int xcb_render_query_pict_formats_screens_length
2104 **
2105 ** @param const xcb_render_query_pict_formats_reply_t *R
2106 ** @returns int
2107 **
2108 *****************************************************************************/
2109
2110 int
2111 xcb_render_query_pict_formats_screens_length (const xcb_render_query_pict_formats_reply_t *R );
2112
2113
2114 /*****************************************************************************
2115 **
2116 ** xcb_render_pictscreen_iterator_t xcb_render_query_pict_formats_screens_iterator
2117 **
2118 ** @param const xcb_render_query_pict_formats_reply_t *R
2119 ** @returns xcb_render_pictscreen_iterator_t
2120 **
2121 *****************************************************************************/
2122
2123 xcb_render_pictscreen_iterator_t
2124 xcb_render_query_pict_formats_screens_iterator (const xcb_render_query_pict_formats_reply_t *R );
2125
2126
2127 /*****************************************************************************
2128 **
2129 ** uint32_t * xcb_render_query_pict_formats_subpixels
2130 **
2131 ** @param const xcb_render_query_pict_formats_reply_t *R
2132 ** @returns uint32_t *
2133 **
2134 *****************************************************************************/
2135
2136 uint32_t *
2137 xcb_render_query_pict_formats_subpixels (const xcb_render_query_pict_formats_reply_t *R );
2138
2139
2140 /*****************************************************************************
2141 **
2142 ** int xcb_render_query_pict_formats_subpixels_length
2143 **
2144 ** @param const xcb_render_query_pict_formats_reply_t *R
2145 ** @returns int
2146 **
2147 *****************************************************************************/
2148
2149 int
2150 xcb_render_query_pict_formats_subpixels_length (const xcb_render_query_pict_formats_reply_t *R );
2151
2152
2153 /*****************************************************************************
2154 **
2155 ** xcb_generic_iterator_t xcb_render_query_pict_formats_subpixels_end
2156 **
2157 ** @param const xcb_render_query_pict_formats_reply_t *R
2158 ** @returns xcb_generic_iterator_t
2159 **
2160 *****************************************************************************/
2161
2162 xcb_generic_iterator_t
2163 xcb_render_query_pict_formats_subpixels_end (const xcb_render_query_pict_formats_reply_t *R );
2164
2180 /*****************************************************************************
2181 **
2182 ** xcb_render_query_pict_formats_reply_t * xcb_render_query_pict_formats_reply
2183 **
2184 ** @param xcb_connection_t *c
2185 ** @param xcb_render_query_pict_formats_cookie_t cookie
2186 ** @param xcb_generic_error_t **e
2187 ** @returns xcb_render_query_pict_formats_reply_t *
2188 **
2189 *****************************************************************************/
2190
2191 xcb_render_query_pict_formats_reply_t *
2192 xcb_render_query_pict_formats_reply (xcb_connection_t *c ,
2193 xcb_render_query_pict_formats_cookie_t cookie ,
2194 xcb_generic_error_t **e );
2195
2196 int
2197 xcb_render_query_pict_index_values_sizeof (const void *_buffer );
2198
2208 /*****************************************************************************
2209 **
2210 ** xcb_render_query_pict_index_values_cookie_t xcb_render_query_pict_index_values
2211 **
2212 ** @param xcb_connection_t *c
2213 ** @param xcb_render_pictformat_t format
2214 ** @returns xcb_render_query_pict_index_values_cookie_t
2215 **
2216 *****************************************************************************/
2217
2218 xcb_render_query_pict_index_values_cookie_t
2219 xcb_render_query_pict_index_values (xcb_connection_t *c ,
2220 xcb_render_pictformat_t format );
2221
2234 /*****************************************************************************
2235 **
2236 ** xcb_render_query_pict_index_values_cookie_t xcb_render_query_pict_index_values_unchecked
2237 **
2238 ** @param xcb_connection_t *c
2239 ** @param xcb_render_pictformat_t format
2240 ** @returns xcb_render_query_pict_index_values_cookie_t
2241 **
2242 *****************************************************************************/
2243
2244 xcb_render_query_pict_index_values_cookie_t
2245 xcb_render_query_pict_index_values_unchecked (xcb_connection_t *c ,
2246 xcb_render_pictformat_t format );
2247
2248
2249 /*****************************************************************************
2250 **
2251 ** xcb_render_indexvalue_t * xcb_render_query_pict_index_values_values
2252 **
2253 ** @param const xcb_render_query_pict_index_values_reply_t *R
2254 ** @returns xcb_render_indexvalue_t *
2255 **
2256 *****************************************************************************/
2257
2258 xcb_render_indexvalue_t *
2259 xcb_render_query_pict_index_values_values (const xcb_render_query_pict_index_values_reply_t *R );
2260
2261
2262 /*****************************************************************************
2263 **
2264 ** int xcb_render_query_pict_index_values_values_length
2265 **
2266 ** @param const xcb_render_query_pict_index_values_reply_t *R
2267 ** @returns int
2268 **
2269 *****************************************************************************/
2270
2271 int
2272 xcb_render_query_pict_index_values_values_length (const xcb_render_query_pict_index_values_reply_t *R );
2273
2274
2275 /*****************************************************************************
2276 **
2277 ** xcb_render_indexvalue_iterator_t xcb_render_query_pict_index_values_values_iterator
2278 **
2279 ** @param const xcb_render_query_pict_index_values_reply_t *R
2280 ** @returns xcb_render_indexvalue_iterator_t
2281 **
2282 *****************************************************************************/
2283
2284 xcb_render_indexvalue_iterator_t
2285 xcb_render_query_pict_index_values_values_iterator (const xcb_render_query_pict_index_values_reply_t *R );
2286
2302 /*****************************************************************************
2303 **
2304 ** xcb_render_query_pict_index_values_reply_t * xcb_render_query_pict_index_values_reply
2305 **
2306 ** @param xcb_connection_t *c
2307 ** @param xcb_render_query_pict_index_values_cookie_t cookie
2308 ** @param xcb_generic_error_t **e
2309 ** @returns xcb_render_query_pict_index_values_reply_t *
2310 **
2311 *****************************************************************************/
2312
2313 xcb_render_query_pict_index_values_reply_t *
2314 xcb_render_query_pict_index_values_reply (xcb_connection_t *c ,
2315 xcb_render_query_pict_index_values_cookie_t cookie ,
2316 xcb_generic_error_t **e );
2317
2318 int
2319 xcb_render_create_picture_sizeof (const void *_buffer );
2320
2333 /*****************************************************************************
2334 **
2335 ** xcb_void_cookie_t xcb_render_create_picture_checked
2336 **
2337 ** @param xcb_connection_t *c
2338 ** @param xcb_render_picture_t pid
2339 ** @param xcb_drawable_t drawable
2340 ** @param xcb_render_pictformat_t format
2341 ** @param uint32_t value_mask
2342 ** @param const uint32_t *value_list
2343 ** @returns xcb_void_cookie_t
2344 **
2345 *****************************************************************************/
2346
2347 xcb_void_cookie_t
2348 xcb_render_create_picture_checked (xcb_connection_t *c ,
2349 xcb_render_picture_t pid ,
2350 xcb_drawable_t drawable ,
2351 xcb_render_pictformat_t format ,
2352 uint32_t value_mask ,
2353 const uint32_t *value_list );
2354
2364 /*****************************************************************************
2365 **
2366 ** xcb_void_cookie_t xcb_render_create_picture
2367 **
2368 ** @param xcb_connection_t *c
2369 ** @param xcb_render_picture_t pid
2370 ** @param xcb_drawable_t drawable
2371 ** @param xcb_render_pictformat_t format
2372 ** @param uint32_t value_mask
2373 ** @param const uint32_t *value_list
2374 ** @returns xcb_void_cookie_t
2375 **
2376 *****************************************************************************/
2377
2378 xcb_void_cookie_t
2379 xcb_render_create_picture (xcb_connection_t *c ,
2380 xcb_render_picture_t pid ,
2381 xcb_drawable_t drawable ,
2382 xcb_render_pictformat_t format ,
2383 uint32_t value_mask ,
2384 const uint32_t *value_list );
2385
2386 int
2387 xcb_render_change_picture_sizeof (const void *_buffer );
2388
2401 /*****************************************************************************
2402 **
2403 ** xcb_void_cookie_t xcb_render_change_picture_checked
2404 **
2405 ** @param xcb_connection_t *c
2406 ** @param xcb_render_picture_t picture
2407 ** @param uint32_t value_mask
2408 ** @param const uint32_t *value_list
2409 ** @returns xcb_void_cookie_t
2410 **
2411 *****************************************************************************/
2412
2413 xcb_void_cookie_t
2414 xcb_render_change_picture_checked (xcb_connection_t *c ,
2415 xcb_render_picture_t picture ,
2416 uint32_t value_mask ,
2417 const uint32_t *value_list );
2418
2428 /*****************************************************************************
2429 **
2430 ** xcb_void_cookie_t xcb_render_change_picture
2431 **
2432 ** @param xcb_connection_t *c
2433 ** @param xcb_render_picture_t picture
2434 ** @param uint32_t value_mask
2435 ** @param const uint32_t *value_list
2436 ** @returns xcb_void_cookie_t
2437 **
2438 *****************************************************************************/
2439
2440 xcb_void_cookie_t
2441 xcb_render_change_picture (xcb_connection_t *c ,
2442 xcb_render_picture_t picture ,
2443 uint32_t value_mask ,
2444 const uint32_t *value_list );
2445
2446 int
2447 xcb_render_set_picture_clip_rectangles_sizeof (const void *_buffer ,
2448 uint32_t rectangles_len );
2449
2462 /*****************************************************************************
2463 **
2464 ** xcb_void_cookie_t xcb_render_set_picture_clip_rectangles_checked
2465 **
2466 ** @param xcb_connection_t *c
2467 ** @param xcb_render_picture_t picture
2468 ** @param int16_t clip_x_origin
2469 ** @param int16_t clip_y_origin
2470 ** @param uint32_t rectangles_len
2471 ** @param const xcb_rectangle_t *rectangles
2472 ** @returns xcb_void_cookie_t
2473 **
2474 *****************************************************************************/
2475
2476 xcb_void_cookie_t
2477 xcb_render_set_picture_clip_rectangles_checked (xcb_connection_t *c ,
2478 xcb_render_picture_t picture ,
2479 int16_t clip_x_origin ,
2480 int16_t clip_y_origin ,
2481 uint32_t rectangles_len ,
2482 const xcb_rectangle_t *rectangles );
2483
2493 /*****************************************************************************
2494 **
2495 ** xcb_void_cookie_t xcb_render_set_picture_clip_rectangles
2496 **
2497 ** @param xcb_connection_t *c
2498 ** @param xcb_render_picture_t picture
2499 ** @param int16_t clip_x_origin
2500 ** @param int16_t clip_y_origin
2501 ** @param uint32_t rectangles_len
2502 ** @param const xcb_rectangle_t *rectangles
2503 ** @returns xcb_void_cookie_t
2504 **
2505 *****************************************************************************/
2506
2507 xcb_void_cookie_t
2508 xcb_render_set_picture_clip_rectangles (xcb_connection_t *c ,
2509 xcb_render_picture_t picture ,
2510 int16_t clip_x_origin ,
2511 int16_t clip_y_origin ,
2512 uint32_t rectangles_len ,
2513 const xcb_rectangle_t *rectangles );
2514
2527 /*****************************************************************************
2528 **
2529 ** xcb_void_cookie_t xcb_render_free_picture_checked
2530 **
2531 ** @param xcb_connection_t *c
2532 ** @param xcb_render_picture_t picture
2533 ** @returns xcb_void_cookie_t
2534 **
2535 *****************************************************************************/
2536
2537 xcb_void_cookie_t
2538 xcb_render_free_picture_checked (xcb_connection_t *c ,
2539 xcb_render_picture_t picture );
2540
2550 /*****************************************************************************
2551 **
2552 ** xcb_void_cookie_t xcb_render_free_picture
2553 **
2554 ** @param xcb_connection_t *c
2555 ** @param xcb_render_picture_t picture
2556 ** @returns xcb_void_cookie_t
2557 **
2558 *****************************************************************************/
2559
2560 xcb_void_cookie_t
2561 xcb_render_free_picture (xcb_connection_t *c ,
2562 xcb_render_picture_t picture );
2563
2576 /*****************************************************************************
2577 **
2578 ** xcb_void_cookie_t xcb_render_composite_checked
2579 **
2580 ** @param xcb_connection_t *c
2581 ** @param uint8_t op
2582 ** @param xcb_render_picture_t src
2583 ** @param xcb_render_picture_t mask
2584 ** @param xcb_render_picture_t dst
2585 ** @param int16_t src_x
2586 ** @param int16_t src_y
2587 ** @param int16_t mask_x
2588 ** @param int16_t mask_y
2589 ** @param int16_t dst_x
2590 ** @param int16_t dst_y
2591 ** @param uint16_t width
2592 ** @param uint16_t height
2593 ** @returns xcb_void_cookie_t
2594 **
2595 *****************************************************************************/
2596
2597 xcb_void_cookie_t
2598 xcb_render_composite_checked (xcb_connection_t *c ,
2599 uint8_t op ,
2600 xcb_render_picture_t src ,
2601 xcb_render_picture_t mask ,
2602 xcb_render_picture_t dst ,
2603 int16_t src_x ,
2604 int16_t src_y ,
2605 int16_t mask_x ,
2606 int16_t mask_y ,
2607 int16_t dst_x ,
2608 int16_t dst_y ,
2609 uint16_t width ,
2610 uint16_t height );
2611
2621 /*****************************************************************************
2622 **
2623 ** xcb_void_cookie_t xcb_render_composite
2624 **
2625 ** @param xcb_connection_t *c
2626 ** @param uint8_t op
2627 ** @param xcb_render_picture_t src
2628 ** @param xcb_render_picture_t mask
2629 ** @param xcb_render_picture_t dst
2630 ** @param int16_t src_x
2631 ** @param int16_t src_y
2632 ** @param int16_t mask_x
2633 ** @param int16_t mask_y
2634 ** @param int16_t dst_x
2635 ** @param int16_t dst_y
2636 ** @param uint16_t width
2637 ** @param uint16_t height
2638 ** @returns xcb_void_cookie_t
2639 **
2640 *****************************************************************************/
2641
2642 xcb_void_cookie_t
2643 xcb_render_composite (xcb_connection_t *c ,
2644 uint8_t op ,
2645 xcb_render_picture_t src ,
2646 xcb_render_picture_t mask ,
2647 xcb_render_picture_t dst ,
2648 int16_t src_x ,
2649 int16_t src_y ,
2650 int16_t mask_x ,
2651 int16_t mask_y ,
2652 int16_t dst_x ,
2653 int16_t dst_y ,
2654 uint16_t width ,
2655 uint16_t height );
2656
2657 int
2658 xcb_render_trapezoids_sizeof (const void *_buffer ,
2659 uint32_t traps_len );
2660
2673 /*****************************************************************************
2674 **
2675 ** xcb_void_cookie_t xcb_render_trapezoids_checked
2676 **
2677 ** @param xcb_connection_t *c
2678 ** @param uint8_t op
2679 ** @param xcb_render_picture_t src
2680 ** @param xcb_render_picture_t dst
2681 ** @param xcb_render_pictformat_t mask_format
2682 ** @param int16_t src_x
2683 ** @param int16_t src_y
2684 ** @param uint32_t traps_len
2685 ** @param const xcb_render_trapezoid_t *traps
2686 ** @returns xcb_void_cookie_t
2687 **
2688 *****************************************************************************/
2689
2690 xcb_void_cookie_t
2691 xcb_render_trapezoids_checked (xcb_connection_t *c ,
2692 uint8_t op ,
2693 xcb_render_picture_t src ,
2694 xcb_render_picture_t dst ,
2695 xcb_render_pictformat_t mask_format ,
2696 int16_t src_x ,
2697 int16_t src_y ,
2698 uint32_t traps_len ,
2699 const xcb_render_trapezoid_t *traps );
2700
2710 /*****************************************************************************
2711 **
2712 ** xcb_void_cookie_t xcb_render_trapezoids
2713 **
2714 ** @param xcb_connection_t *c
2715 ** @param uint8_t op
2716 ** @param xcb_render_picture_t src
2717 ** @param xcb_render_picture_t dst
2718 ** @param xcb_render_pictformat_t mask_format
2719 ** @param int16_t src_x
2720 ** @param int16_t src_y
2721 ** @param uint32_t traps_len
2722 ** @param const xcb_render_trapezoid_t *traps
2723 ** @returns xcb_void_cookie_t
2724 **
2725 *****************************************************************************/
2726
2727 xcb_void_cookie_t
2728 xcb_render_trapezoids (xcb_connection_t *c ,
2729 uint8_t op ,
2730 xcb_render_picture_t src ,
2731 xcb_render_picture_t dst ,
2732 xcb_render_pictformat_t mask_format ,
2733 int16_t src_x ,
2734 int16_t src_y ,
2735 uint32_t traps_len ,
2736 const xcb_render_trapezoid_t *traps );
2737
2738 int
2739 xcb_render_triangles_sizeof (const void *_buffer ,
2740 uint32_t triangles_len );
2741
2754 /*****************************************************************************
2755 **
2756 ** xcb_void_cookie_t xcb_render_triangles_checked
2757 **
2758 ** @param xcb_connection_t *c
2759 ** @param uint8_t op
2760 ** @param xcb_render_picture_t src
2761 ** @param xcb_render_picture_t dst
2762 ** @param xcb_render_pictformat_t mask_format
2763 ** @param int16_t src_x
2764 ** @param int16_t src_y
2765 ** @param uint32_t triangles_len
2766 ** @param const xcb_render_triangle_t *triangles
2767 ** @returns xcb_void_cookie_t
2768 **
2769 *****************************************************************************/
2770
2771 xcb_void_cookie_t
2772 xcb_render_triangles_checked (xcb_connection_t *c ,
2773 uint8_t op ,
2774 xcb_render_picture_t src ,
2775 xcb_render_picture_t dst ,
2776 xcb_render_pictformat_t mask_format ,
2777 int16_t src_x ,
2778 int16_t src_y ,
2779 uint32_t triangles_len ,
2780 const xcb_render_triangle_t *triangles );
2781
2791 /*****************************************************************************
2792 **
2793 ** xcb_void_cookie_t xcb_render_triangles
2794 **
2795 ** @param xcb_connection_t *c
2796 ** @param uint8_t op
2797 ** @param xcb_render_picture_t src
2798 ** @param xcb_render_picture_t dst
2799 ** @param xcb_render_pictformat_t mask_format
2800 ** @param int16_t src_x
2801 ** @param int16_t src_y
2802 ** @param uint32_t triangles_len
2803 ** @param const xcb_render_triangle_t *triangles
2804 ** @returns xcb_void_cookie_t
2805 **
2806 *****************************************************************************/
2807
2808 xcb_void_cookie_t
2809 xcb_render_triangles (xcb_connection_t *c ,
2810 uint8_t op ,
2811 xcb_render_picture_t src ,
2812 xcb_render_picture_t dst ,
2813 xcb_render_pictformat_t mask_format ,
2814 int16_t src_x ,
2815 int16_t src_y ,
2816 uint32_t triangles_len ,
2817 const xcb_render_triangle_t *triangles );
2818
2819 int
2820 xcb_render_tri_strip_sizeof (const void *_buffer ,
2821 uint32_t points_len );
2822
2835 /*****************************************************************************
2836 **
2837 ** xcb_void_cookie_t xcb_render_tri_strip_checked
2838 **
2839 ** @param xcb_connection_t *c
2840 ** @param uint8_t op
2841 ** @param xcb_render_picture_t src
2842 ** @param xcb_render_picture_t dst
2843 ** @param xcb_render_pictformat_t mask_format
2844 ** @param int16_t src_x
2845 ** @param int16_t src_y
2846 ** @param uint32_t points_len
2847 ** @param const xcb_render_pointfix_t *points
2848 ** @returns xcb_void_cookie_t
2849 **
2850 *****************************************************************************/
2851
2852 xcb_void_cookie_t
2853 xcb_render_tri_strip_checked (xcb_connection_t *c ,
2854 uint8_t op ,
2855 xcb_render_picture_t src ,
2856 xcb_render_picture_t dst ,
2857 xcb_render_pictformat_t mask_format ,
2858 int16_t src_x ,
2859 int16_t src_y ,
2860 uint32_t points_len ,
2861 const xcb_render_pointfix_t *points );
2862
2872 /*****************************************************************************
2873 **
2874 ** xcb_void_cookie_t xcb_render_tri_strip
2875 **
2876 ** @param xcb_connection_t *c
2877 ** @param uint8_t op
2878 ** @param xcb_render_picture_t src
2879 ** @param xcb_render_picture_t dst
2880 ** @param xcb_render_pictformat_t mask_format
2881 ** @param int16_t src_x
2882 ** @param int16_t src_y
2883 ** @param uint32_t points_len
2884 ** @param const xcb_render_pointfix_t *points
2885 ** @returns xcb_void_cookie_t
2886 **
2887 *****************************************************************************/
2888
2889 xcb_void_cookie_t
2890 xcb_render_tri_strip (xcb_connection_t *c ,
2891 uint8_t op ,
2892 xcb_render_picture_t src ,
2893 xcb_render_picture_t dst ,
2894 xcb_render_pictformat_t mask_format ,
2895 int16_t src_x ,
2896 int16_t src_y ,
2897 uint32_t points_len ,
2898 const xcb_render_pointfix_t *points );
2899
2900 int
2901 xcb_render_tri_fan_sizeof (const void *_buffer ,
2902 uint32_t points_len );
2903
2916 /*****************************************************************************
2917 **
2918 ** xcb_void_cookie_t xcb_render_tri_fan_checked
2919 **
2920 ** @param xcb_connection_t *c
2921 ** @param uint8_t op
2922 ** @param xcb_render_picture_t src
2923 ** @param xcb_render_picture_t dst
2924 ** @param xcb_render_pictformat_t mask_format
2925 ** @param int16_t src_x
2926 ** @param int16_t src_y
2927 ** @param uint32_t points_len
2928 ** @param const xcb_render_pointfix_t *points
2929 ** @returns xcb_void_cookie_t
2930 **
2931 *****************************************************************************/
2932
2933 xcb_void_cookie_t
2934 xcb_render_tri_fan_checked (xcb_connection_t *c ,
2935 uint8_t op ,
2936 xcb_render_picture_t src ,
2937 xcb_render_picture_t dst ,
2938 xcb_render_pictformat_t mask_format ,
2939 int16_t src_x ,
2940 int16_t src_y ,
2941 uint32_t points_len ,
2942 const xcb_render_pointfix_t *points );
2943
2953 /*****************************************************************************
2954 **
2955 ** xcb_void_cookie_t xcb_render_tri_fan
2956 **
2957 ** @param xcb_connection_t *c
2958 ** @param uint8_t op
2959 ** @param xcb_render_picture_t src
2960 ** @param xcb_render_picture_t dst
2961 ** @param xcb_render_pictformat_t mask_format
2962 ** @param int16_t src_x
2963 ** @param int16_t src_y
2964 ** @param uint32_t points_len
2965 ** @param const xcb_render_pointfix_t *points
2966 ** @returns xcb_void_cookie_t
2967 **
2968 *****************************************************************************/
2969
2970 xcb_void_cookie_t
2971 xcb_render_tri_fan (xcb_connection_t *c ,
2972 uint8_t op ,
2973 xcb_render_picture_t src ,
2974 xcb_render_picture_t dst ,
2975 xcb_render_pictformat_t mask_format ,
2976 int16_t src_x ,
2977 int16_t src_y ,
2978 uint32_t points_len ,
2979 const xcb_render_pointfix_t *points );
2980
2993 /*****************************************************************************
2994 **
2995 ** xcb_void_cookie_t xcb_render_create_glyph_set_checked
2996 **
2997 ** @param xcb_connection_t *c
2998 ** @param xcb_render_glyphset_t gsid
2999 ** @param xcb_render_pictformat_t format
3000 ** @returns xcb_void_cookie_t
3001 **
3002 *****************************************************************************/
3003
3004 xcb_void_cookie_t
3005 xcb_render_create_glyph_set_checked (xcb_connection_t *c ,
3006 xcb_render_glyphset_t gsid ,
3007 xcb_render_pictformat_t format );
3008
3018 /*****************************************************************************
3019 **
3020 ** xcb_void_cookie_t xcb_render_create_glyph_set
3021 **
3022 ** @param xcb_connection_t *c
3023 ** @param xcb_render_glyphset_t gsid
3024 ** @param xcb_render_pictformat_t format
3025 ** @returns xcb_void_cookie_t
3026 **
3027 *****************************************************************************/
3028
3029 xcb_void_cookie_t
3030 xcb_render_create_glyph_set (xcb_connection_t *c ,
3031 xcb_render_glyphset_t gsid ,
3032 xcb_render_pictformat_t format );
3033
3046 /*****************************************************************************
3047 **
3048 ** xcb_void_cookie_t xcb_render_reference_glyph_set_checked
3049 **
3050 ** @param xcb_connection_t *c
3051 ** @param xcb_render_glyphset_t gsid
3052 ** @param xcb_render_glyphset_t existing
3053 ** @returns xcb_void_cookie_t
3054 **
3055 *****************************************************************************/
3056
3057 xcb_void_cookie_t
3058 xcb_render_reference_glyph_set_checked (xcb_connection_t *c ,
3059 xcb_render_glyphset_t gsid ,
3060 xcb_render_glyphset_t existing );
3061
3071 /*****************************************************************************
3072 **
3073 ** xcb_void_cookie_t xcb_render_reference_glyph_set
3074 **
3075 ** @param xcb_connection_t *c
3076 ** @param xcb_render_glyphset_t gsid
3077 ** @param xcb_render_glyphset_t existing
3078 ** @returns xcb_void_cookie_t
3079 **
3080 *****************************************************************************/
3081
3082 xcb_void_cookie_t
3083 xcb_render_reference_glyph_set (xcb_connection_t *c ,
3084 xcb_render_glyphset_t gsid ,
3085 xcb_render_glyphset_t existing );
3086
3099 /*****************************************************************************
3100 **
3101 ** xcb_void_cookie_t xcb_render_free_glyph_set_checked
3102 **
3103 ** @param xcb_connection_t *c
3104 ** @param xcb_render_glyphset_t glyphset
3105 ** @returns xcb_void_cookie_t
3106 **
3107 *****************************************************************************/
3108
3109 xcb_void_cookie_t
3110 xcb_render_free_glyph_set_checked (xcb_connection_t *c ,
3111 xcb_render_glyphset_t glyphset );
3112
3122 /*****************************************************************************
3123 **
3124 ** xcb_void_cookie_t xcb_render_free_glyph_set
3125 **
3126 ** @param xcb_connection_t *c
3127 ** @param xcb_render_glyphset_t glyphset
3128 ** @returns xcb_void_cookie_t
3129 **
3130 *****************************************************************************/
3131
3132 xcb_void_cookie_t
3133 xcb_render_free_glyph_set (xcb_connection_t *c ,
3134 xcb_render_glyphset_t glyphset );
3135
3136 int
3137 xcb_render_add_glyphs_sizeof (const void *_buffer ,
3138 uint32_t data_len );
3139
3152 /*****************************************************************************
3153 **
3154 ** xcb_void_cookie_t xcb_render_add_glyphs_checked
3155 **
3156 ** @param xcb_connection_t *c
3157 ** @param xcb_render_glyphset_t glyphset
3158 ** @param uint32_t glyphs_len
3159 ** @param const uint32_t *glyphids
3160 ** @param const xcb_render_glyphinfo_t *glyphs
3161 ** @param uint32_t data_len
3162 ** @param const uint8_t *data
3163 ** @returns xcb_void_cookie_t
3164 **
3165 *****************************************************************************/
3166
3167 xcb_void_cookie_t
3168 xcb_render_add_glyphs_checked (xcb_connection_t *c ,
3169 xcb_render_glyphset_t glyphset ,
3170 uint32_t glyphs_len ,
3171 const uint32_t *glyphids ,
3172 const xcb_render_glyphinfo_t *glyphs ,
3173 uint32_t data_len ,
3174 const uint8_t *data );
3175
3185 /*****************************************************************************
3186 **
3187 ** xcb_void_cookie_t xcb_render_add_glyphs
3188 **
3189 ** @param xcb_connection_t *c
3190 ** @param xcb_render_glyphset_t glyphset
3191 ** @param uint32_t glyphs_len
3192 ** @param const uint32_t *glyphids
3193 ** @param const xcb_render_glyphinfo_t *glyphs
3194 ** @param uint32_t data_len
3195 ** @param const uint8_t *data
3196 ** @returns xcb_void_cookie_t
3197 **
3198 *****************************************************************************/
3199
3200 xcb_void_cookie_t
3201 xcb_render_add_glyphs (xcb_connection_t *c ,
3202 xcb_render_glyphset_t glyphset ,
3203 uint32_t glyphs_len ,
3204 const uint32_t *glyphids ,
3205 const xcb_render_glyphinfo_t *glyphs ,
3206 uint32_t data_len ,
3207 const uint8_t *data );
3208
3209 int
3210 xcb_render_free_glyphs_sizeof (const void *_buffer ,
3211 uint32_t glyphs_len );
3212
3225 /*****************************************************************************
3226 **
3227 ** xcb_void_cookie_t xcb_render_free_glyphs_checked
3228 **
3229 ** @param xcb_connection_t *c
3230 ** @param xcb_render_glyphset_t glyphset
3231 ** @param uint32_t glyphs_len
3232 ** @param const xcb_render_glyph_t *glyphs
3233 ** @returns xcb_void_cookie_t
3234 **
3235 *****************************************************************************/
3236
3237 xcb_void_cookie_t
3238 xcb_render_free_glyphs_checked (xcb_connection_t *c ,
3239 xcb_render_glyphset_t glyphset ,
3240 uint32_t glyphs_len ,
3241 const xcb_render_glyph_t *glyphs );
3242
3252 /*****************************************************************************
3253 **
3254 ** xcb_void_cookie_t xcb_render_free_glyphs
3255 **
3256 ** @param xcb_connection_t *c
3257 ** @param xcb_render_glyphset_t glyphset
3258 ** @param uint32_t glyphs_len
3259 ** @param const xcb_render_glyph_t *glyphs
3260 ** @returns xcb_void_cookie_t
3261 **
3262 *****************************************************************************/
3263
3264 xcb_void_cookie_t
3265 xcb_render_free_glyphs (xcb_connection_t *c ,
3266 xcb_render_glyphset_t glyphset ,
3267 uint32_t glyphs_len ,
3268 const xcb_render_glyph_t *glyphs );
3269
3270 int
3271 xcb_render_composite_glyphs_8_sizeof (const void *_buffer ,
3272 uint32_t glyphcmds_len );
3273
3286 /*****************************************************************************
3287 **
3288 ** xcb_void_cookie_t xcb_render_composite_glyphs_8_checked
3289 **
3290 ** @param xcb_connection_t *c
3291 ** @param uint8_t op
3292 ** @param xcb_render_picture_t src
3293 ** @param xcb_render_picture_t dst
3294 ** @param xcb_render_pictformat_t mask_format
3295 ** @param xcb_render_glyphset_t glyphset
3296 ** @param int16_t src_x
3297 ** @param int16_t src_y
3298 ** @param uint32_t glyphcmds_len
3299 ** @param const uint8_t *glyphcmds
3300 ** @returns xcb_void_cookie_t
3301 **
3302 *****************************************************************************/
3303
3304 xcb_void_cookie_t
3305 xcb_render_composite_glyphs_8_checked (xcb_connection_t *c ,
3306 uint8_t op ,
3307 xcb_render_picture_t src ,
3308 xcb_render_picture_t dst ,
3309 xcb_render_pictformat_t mask_format ,
3310 xcb_render_glyphset_t glyphset ,
3311 int16_t src_x ,
3312 int16_t src_y ,
3313 uint32_t glyphcmds_len ,
3314 const uint8_t *glyphcmds );
3315
3325 /*****************************************************************************
3326 **
3327 ** xcb_void_cookie_t xcb_render_composite_glyphs_8
3328 **
3329 ** @param xcb_connection_t *c
3330 ** @param uint8_t op
3331 ** @param xcb_render_picture_t src
3332 ** @param xcb_render_picture_t dst
3333 ** @param xcb_render_pictformat_t mask_format
3334 ** @param xcb_render_glyphset_t glyphset
3335 ** @param int16_t src_x
3336 ** @param int16_t src_y
3337 ** @param uint32_t glyphcmds_len
3338 ** @param const uint8_t *glyphcmds
3339 ** @returns xcb_void_cookie_t
3340 **
3341 *****************************************************************************/
3342
3343 xcb_void_cookie_t
3344 xcb_render_composite_glyphs_8 (xcb_connection_t *c ,
3345 uint8_t op ,
3346 xcb_render_picture_t src ,
3347 xcb_render_picture_t dst ,
3348 xcb_render_pictformat_t mask_format ,
3349 xcb_render_glyphset_t glyphset ,
3350 int16_t src_x ,
3351 int16_t src_y ,
3352 uint32_t glyphcmds_len ,
3353 const uint8_t *glyphcmds );
3354
3355 int
3356 xcb_render_composite_glyphs_16_sizeof (const void *_buffer ,
3357 uint32_t glyphcmds_len );
3358
3371 /*****************************************************************************
3372 **
3373 ** xcb_void_cookie_t xcb_render_composite_glyphs_16_checked
3374 **
3375 ** @param xcb_connection_t *c
3376 ** @param uint8_t op
3377 ** @param xcb_render_picture_t src
3378 ** @param xcb_render_picture_t dst
3379 ** @param xcb_render_pictformat_t mask_format
3380 ** @param xcb_render_glyphset_t glyphset
3381 ** @param int16_t src_x
3382 ** @param int16_t src_y
3383 ** @param uint32_t glyphcmds_len
3384 ** @param const uint8_t *glyphcmds
3385 ** @returns xcb_void_cookie_t
3386 **
3387 *****************************************************************************/
3388
3389 xcb_void_cookie_t
3390 xcb_render_composite_glyphs_16_checked (xcb_connection_t *c ,
3391 uint8_t op ,
3392 xcb_render_picture_t src ,
3393 xcb_render_picture_t dst ,
3394 xcb_render_pictformat_t mask_format ,
3395 xcb_render_glyphset_t glyphset ,
3396 int16_t src_x ,
3397 int16_t src_y ,
3398 uint32_t glyphcmds_len ,
3399 const uint8_t *glyphcmds );
3400
3410 /*****************************************************************************
3411 **
3412 ** xcb_void_cookie_t xcb_render_composite_glyphs_16
3413 **
3414 ** @param xcb_connection_t *c
3415 ** @param uint8_t op
3416 ** @param xcb_render_picture_t src
3417 ** @param xcb_render_picture_t dst
3418 ** @param xcb_render_pictformat_t mask_format
3419 ** @param xcb_render_glyphset_t glyphset
3420 ** @param int16_t src_x
3421 ** @param int16_t src_y
3422 ** @param uint32_t glyphcmds_len
3423 ** @param const uint8_t *glyphcmds
3424 ** @returns xcb_void_cookie_t
3425 **
3426 *****************************************************************************/
3427
3428 xcb_void_cookie_t
3429 xcb_render_composite_glyphs_16 (xcb_connection_t *c ,
3430 uint8_t op ,
3431 xcb_render_picture_t src ,
3432 xcb_render_picture_t dst ,
3433 xcb_render_pictformat_t mask_format ,
3434 xcb_render_glyphset_t glyphset ,
3435 int16_t src_x ,
3436 int16_t src_y ,
3437 uint32_t glyphcmds_len ,
3438 const uint8_t *glyphcmds );
3439
3440 int
3441 xcb_render_composite_glyphs_32_sizeof (const void *_buffer ,
3442 uint32_t glyphcmds_len );
3443
3456 /*****************************************************************************
3457 **
3458 ** xcb_void_cookie_t xcb_render_composite_glyphs_32_checked
3459 **
3460 ** @param xcb_connection_t *c
3461 ** @param uint8_t op
3462 ** @param xcb_render_picture_t src
3463 ** @param xcb_render_picture_t dst
3464 ** @param xcb_render_pictformat_t mask_format
3465 ** @param xcb_render_glyphset_t glyphset
3466 ** @param int16_t src_x
3467 ** @param int16_t src_y
3468 ** @param uint32_t glyphcmds_len
3469 ** @param const uint8_t *glyphcmds
3470 ** @returns xcb_void_cookie_t
3471 **
3472 *****************************************************************************/
3473
3474 xcb_void_cookie_t
3475 xcb_render_composite_glyphs_32_checked (xcb_connection_t *c ,
3476 uint8_t op ,
3477 xcb_render_picture_t src ,
3478 xcb_render_picture_t dst ,
3479 xcb_render_pictformat_t mask_format ,
3480 xcb_render_glyphset_t glyphset ,
3481 int16_t src_x ,
3482 int16_t src_y ,
3483 uint32_t glyphcmds_len ,
3484 const uint8_t *glyphcmds );
3485
3495 /*****************************************************************************
3496 **
3497 ** xcb_void_cookie_t xcb_render_composite_glyphs_32
3498 **
3499 ** @param xcb_connection_t *c
3500 ** @param uint8_t op
3501 ** @param xcb_render_picture_t src
3502 ** @param xcb_render_picture_t dst
3503 ** @param xcb_render_pictformat_t mask_format
3504 ** @param xcb_render_glyphset_t glyphset
3505 ** @param int16_t src_x
3506 ** @param int16_t src_y
3507 ** @param uint32_t glyphcmds_len
3508 ** @param const uint8_t *glyphcmds
3509 ** @returns xcb_void_cookie_t
3510 **
3511 *****************************************************************************/
3512
3513 xcb_void_cookie_t
3514 xcb_render_composite_glyphs_32 (xcb_connection_t *c ,
3515 uint8_t op ,
3516 xcb_render_picture_t src ,
3517 xcb_render_picture_t dst ,
3518 xcb_render_pictformat_t mask_format ,
3519 xcb_render_glyphset_t glyphset ,
3520 int16_t src_x ,
3521 int16_t src_y ,
3522 uint32_t glyphcmds_len ,
3523 const uint8_t *glyphcmds );
3524
3525 int
3526 xcb_render_fill_rectangles_sizeof (const void *_buffer ,
3527 uint32_t rects_len );
3528
3541 /*****************************************************************************
3542 **
3543 ** xcb_void_cookie_t xcb_render_fill_rectangles_checked
3544 **
3545 ** @param xcb_connection_t *c
3546 ** @param uint8_t op
3547 ** @param xcb_render_picture_t dst
3548 ** @param xcb_render_color_t color
3549 ** @param uint32_t rects_len
3550 ** @param const xcb_rectangle_t *rects
3551 ** @returns xcb_void_cookie_t
3552 **
3553 *****************************************************************************/
3554
3555 xcb_void_cookie_t
3556 xcb_render_fill_rectangles_checked (xcb_connection_t *c ,
3557 uint8_t op ,
3558 xcb_render_picture_t dst ,
3559 xcb_render_color_t color ,
3560 uint32_t rects_len ,
3561 const xcb_rectangle_t *rects );
3562
3572 /*****************************************************************************
3573 **
3574 ** xcb_void_cookie_t xcb_render_fill_rectangles
3575 **
3576 ** @param xcb_connection_t *c
3577 ** @param uint8_t op
3578 ** @param xcb_render_picture_t dst
3579 ** @param xcb_render_color_t color
3580 ** @param uint32_t rects_len
3581 ** @param const xcb_rectangle_t *rects
3582 ** @returns xcb_void_cookie_t
3583 **
3584 *****************************************************************************/
3585
3586 xcb_void_cookie_t
3587 xcb_render_fill_rectangles (xcb_connection_t *c ,
3588 uint8_t op ,
3589 xcb_render_picture_t dst ,
3590 xcb_render_color_t color ,
3591 uint32_t rects_len ,
3592 const xcb_rectangle_t *rects );
3593
3606 /*****************************************************************************
3607 **
3608 ** xcb_void_cookie_t xcb_render_create_cursor_checked
3609 **
3610 ** @param xcb_connection_t *c
3611 ** @param xcb_cursor_t cid
3612 ** @param xcb_render_picture_t source
3613 ** @param uint16_t x
3614 ** @param uint16_t y
3615 ** @returns xcb_void_cookie_t
3616 **
3617 *****************************************************************************/
3618
3619 xcb_void_cookie_t
3620 xcb_render_create_cursor_checked (xcb_connection_t *c ,
3621 xcb_cursor_t cid ,
3622 xcb_render_picture_t source ,
3623 uint16_t x ,
3624 uint16_t y );
3625
3635 /*****************************************************************************
3636 **
3637 ** xcb_void_cookie_t xcb_render_create_cursor
3638 **
3639 ** @param xcb_connection_t *c
3640 ** @param xcb_cursor_t cid
3641 ** @param xcb_render_picture_t source
3642 ** @param uint16_t x
3643 ** @param uint16_t y
3644 ** @returns xcb_void_cookie_t
3645 **
3646 *****************************************************************************/
3647
3648 xcb_void_cookie_t
3649 xcb_render_create_cursor (xcb_connection_t *c ,
3650 xcb_cursor_t cid ,
3651 xcb_render_picture_t source ,
3652 uint16_t x ,
3653 uint16_t y );
3654
3664 /*****************************************************************************
3665 **
3666 ** void xcb_render_transform_next
3667 **
3668 ** @param xcb_render_transform_iterator_t *i
3669 ** @returns void
3670 **
3671 *****************************************************************************/
3672
3673 void
3674 xcb_render_transform_next (xcb_render_transform_iterator_t *i );
3675
3686 /*****************************************************************************
3687 **
3688 ** xcb_generic_iterator_t xcb_render_transform_end
3689 **
3690 ** @param xcb_render_transform_iterator_t i
3691 ** @returns xcb_generic_iterator_t
3692 **
3693 *****************************************************************************/
3694
3695 xcb_generic_iterator_t
3696 xcb_render_transform_end (xcb_render_transform_iterator_t i );
3697
3710 /*****************************************************************************
3711 **
3712 ** xcb_void_cookie_t xcb_render_set_picture_transform_checked
3713 **
3714 ** @param xcb_connection_t *c
3715 ** @param xcb_render_picture_t picture
3716 ** @param xcb_render_transform_t transform
3717 ** @returns xcb_void_cookie_t
3718 **
3719 *****************************************************************************/
3720
3721 xcb_void_cookie_t
3722 xcb_render_set_picture_transform_checked (xcb_connection_t *c ,
3723 xcb_render_picture_t picture ,
3724 xcb_render_transform_t transform );
3725
3735 /*****************************************************************************
3736 **
3737 ** xcb_void_cookie_t xcb_render_set_picture_transform
3738 **
3739 ** @param xcb_connection_t *c
3740 ** @param xcb_render_picture_t picture
3741 ** @param xcb_render_transform_t transform
3742 ** @returns xcb_void_cookie_t
3743 **
3744 *****************************************************************************/
3745
3746 xcb_void_cookie_t
3747 xcb_render_set_picture_transform (xcb_connection_t *c ,
3748 xcb_render_picture_t picture ,
3749 xcb_render_transform_t transform );
3750
3751 int
3752 xcb_render_query_filters_sizeof (const void *_buffer );
3753
3763 /*****************************************************************************
3764 **
3765 ** xcb_render_query_filters_cookie_t xcb_render_query_filters
3766 **
3767 ** @param xcb_connection_t *c
3768 ** @param xcb_drawable_t drawable
3769 ** @returns xcb_render_query_filters_cookie_t
3770 **
3771 *****************************************************************************/
3772
3773 xcb_render_query_filters_cookie_t
3774 xcb_render_query_filters (xcb_connection_t *c ,
3775 xcb_drawable_t drawable );
3776
3789 /*****************************************************************************
3790 **
3791 ** xcb_render_query_filters_cookie_t xcb_render_query_filters_unchecked
3792 **
3793 ** @param xcb_connection_t *c
3794 ** @param xcb_drawable_t drawable
3795 ** @returns xcb_render_query_filters_cookie_t
3796 **
3797 *****************************************************************************/
3798
3799 xcb_render_query_filters_cookie_t
3800 xcb_render_query_filters_unchecked (xcb_connection_t *c ,
3801 xcb_drawable_t drawable );
3802
3803
3804 /*****************************************************************************
3805 **
3806 ** uint16_t * xcb_render_query_filters_aliases
3807 **
3808 ** @param const xcb_render_query_filters_reply_t *R
3809 ** @returns uint16_t *
3810 **
3811 *****************************************************************************/
3812
3813 uint16_t *
3814 xcb_render_query_filters_aliases (const xcb_render_query_filters_reply_t *R );
3815
3816
3817 /*****************************************************************************
3818 **
3819 ** int xcb_render_query_filters_aliases_length
3820 **
3821 ** @param const xcb_render_query_filters_reply_t *R
3822 ** @returns int
3823 **
3824 *****************************************************************************/
3825
3826 int
3827 xcb_render_query_filters_aliases_length (const xcb_render_query_filters_reply_t *R );
3828
3829
3830 /*****************************************************************************
3831 **
3832 ** xcb_generic_iterator_t xcb_render_query_filters_aliases_end
3833 **
3834 ** @param const xcb_render_query_filters_reply_t *R
3835 ** @returns xcb_generic_iterator_t
3836 **
3837 *****************************************************************************/
3838
3839 xcb_generic_iterator_t
3840 xcb_render_query_filters_aliases_end (const xcb_render_query_filters_reply_t *R );
3841
3842
3843 /*****************************************************************************
3844 **
3845 ** int xcb_render_query_filters_filters_length
3846 **
3847 ** @param const xcb_render_query_filters_reply_t *R
3848 ** @returns int
3849 **
3850 *****************************************************************************/
3851
3852 int
3853 xcb_render_query_filters_filters_length (const xcb_render_query_filters_reply_t *R );
3854
3855
3856 /*****************************************************************************
3857 **
3858 ** xcb_str_iterator_t xcb_render_query_filters_filters_iterator
3859 **
3860 ** @param const xcb_render_query_filters_reply_t *R
3861 ** @returns xcb_str_iterator_t
3862 **
3863 *****************************************************************************/
3864
3865 xcb_str_iterator_t
3866 xcb_render_query_filters_filters_iterator (const xcb_render_query_filters_reply_t *R );
3867
3883 /*****************************************************************************
3884 **
3885 ** xcb_render_query_filters_reply_t * xcb_render_query_filters_reply
3886 **
3887 ** @param xcb_connection_t *c
3888 ** @param xcb_render_query_filters_cookie_t cookie
3889 ** @param xcb_generic_error_t **e
3890 ** @returns xcb_render_query_filters_reply_t *
3891 **
3892 *****************************************************************************/
3893
3894 xcb_render_query_filters_reply_t *
3895 xcb_render_query_filters_reply (xcb_connection_t *c ,
3896 xcb_render_query_filters_cookie_t cookie ,
3897 xcb_generic_error_t **e );
3898
3899 int
3900 xcb_render_set_picture_filter_sizeof (const void *_buffer ,
3901 uint32_t values_len );
3902
3915 /*****************************************************************************
3916 **
3917 ** xcb_void_cookie_t xcb_render_set_picture_filter_checked
3918 **
3919 ** @param xcb_connection_t *c
3920 ** @param xcb_render_picture_t picture
3921 ** @param uint16_t filter_len
3922 ** @param const char *filter
3923 ** @param uint32_t values_len
3924 ** @param const xcb_render_fixed_t *values
3925 ** @returns xcb_void_cookie_t
3926 **
3927 *****************************************************************************/
3928
3929 xcb_void_cookie_t
3930 xcb_render_set_picture_filter_checked (xcb_connection_t *c ,
3931 xcb_render_picture_t picture ,
3932 uint16_t filter_len ,
3933 const char *filter ,
3934 uint32_t values_len ,
3935 const xcb_render_fixed_t *values );
3936
3946 /*****************************************************************************
3947 **
3948 ** xcb_void_cookie_t xcb_render_set_picture_filter
3949 **
3950 ** @param xcb_connection_t *c
3951 ** @param xcb_render_picture_t picture
3952 ** @param uint16_t filter_len
3953 ** @param const char *filter
3954 ** @param uint32_t values_len
3955 ** @param const xcb_render_fixed_t *values
3956 ** @returns xcb_void_cookie_t
3957 **
3958 *****************************************************************************/
3959
3960 xcb_void_cookie_t
3961 xcb_render_set_picture_filter (xcb_connection_t *c ,
3962 xcb_render_picture_t picture ,
3963 uint16_t filter_len ,
3964 const char *filter ,
3965 uint32_t values_len ,
3966 const xcb_render_fixed_t *values );
3967
3977 /*****************************************************************************
3978 **
3979 ** void xcb_render_animcursorelt_next
3980 **
3981 ** @param xcb_render_animcursorelt_iterator_t *i
3982 ** @returns void
3983 **
3984 *****************************************************************************/
3985
3986 void
3987 xcb_render_animcursorelt_next (xcb_render_animcursorelt_iterator_t *i );
3988
3999 /*****************************************************************************
4000 **
4001 ** xcb_generic_iterator_t xcb_render_animcursorelt_end
4002 **
4003 ** @param xcb_render_animcursorelt_iterator_t i
4004 ** @returns xcb_generic_iterator_t
4005 **
4006 *****************************************************************************/
4007
4008 xcb_generic_iterator_t
4009 xcb_render_animcursorelt_end (xcb_render_animcursorelt_iterator_t i );
4010
4011 int
4012 xcb_render_create_anim_cursor_sizeof (const void *_buffer ,
4013 uint32_t cursors_len );
4014
4027 /*****************************************************************************
4028 **
4029 ** xcb_void_cookie_t xcb_render_create_anim_cursor_checked
4030 **
4031 ** @param xcb_connection_t *c
4032 ** @param xcb_cursor_t cid
4033 ** @param uint32_t cursors_len
4034 ** @param const xcb_render_animcursorelt_t *cursors
4035 ** @returns xcb_void_cookie_t
4036 **
4037 *****************************************************************************/
4038
4039 xcb_void_cookie_t
4040 xcb_render_create_anim_cursor_checked (xcb_connection_t *c ,
4041 xcb_cursor_t cid ,
4042 uint32_t cursors_len ,
4043 const xcb_render_animcursorelt_t *cursors );
4044
4054 /*****************************************************************************
4055 **
4056 ** xcb_void_cookie_t xcb_render_create_anim_cursor
4057 **
4058 ** @param xcb_connection_t *c
4059 ** @param xcb_cursor_t cid
4060 ** @param uint32_t cursors_len
4061 ** @param const xcb_render_animcursorelt_t *cursors
4062 ** @returns xcb_void_cookie_t
4063 **
4064 *****************************************************************************/
4065
4066 xcb_void_cookie_t
4067 xcb_render_create_anim_cursor (xcb_connection_t *c ,
4068 xcb_cursor_t cid ,
4069 uint32_t cursors_len ,
4070 const xcb_render_animcursorelt_t *cursors );
4071
4081 /*****************************************************************************
4082 **
4083 ** void xcb_render_spanfix_next
4084 **
4085 ** @param xcb_render_spanfix_iterator_t *i
4086 ** @returns void
4087 **
4088 *****************************************************************************/
4089
4090 void
4091 xcb_render_spanfix_next (xcb_render_spanfix_iterator_t *i );
4092
4103 /*****************************************************************************
4104 **
4105 ** xcb_generic_iterator_t xcb_render_spanfix_end
4106 **
4107 ** @param xcb_render_spanfix_iterator_t i
4108 ** @returns xcb_generic_iterator_t
4109 **
4110 *****************************************************************************/
4111
4112 xcb_generic_iterator_t
4113 xcb_render_spanfix_end (xcb_render_spanfix_iterator_t i );
4114
4124 /*****************************************************************************
4125 **
4126 ** void xcb_render_trap_next
4127 **
4128 ** @param xcb_render_trap_iterator_t *i
4129 ** @returns void
4130 **
4131 *****************************************************************************/
4132
4133 void
4134 xcb_render_trap_next (xcb_render_trap_iterator_t *i );
4135
4146 /*****************************************************************************
4147 **
4148 ** xcb_generic_iterator_t xcb_render_trap_end
4149 **
4150 ** @param xcb_render_trap_iterator_t i
4151 ** @returns xcb_generic_iterator_t
4152 **
4153 *****************************************************************************/
4154
4155 xcb_generic_iterator_t
4156 xcb_render_trap_end (xcb_render_trap_iterator_t i );
4157
4158 int
4159 xcb_render_add_traps_sizeof (const void *_buffer ,
4160 uint32_t traps_len );
4161
4174 /*****************************************************************************
4175 **
4176 ** xcb_void_cookie_t xcb_render_add_traps_checked
4177 **
4178 ** @param xcb_connection_t *c
4179 ** @param xcb_render_picture_t picture
4180 ** @param int16_t x_off
4181 ** @param int16_t y_off
4182 ** @param uint32_t traps_len
4183 ** @param const xcb_render_trap_t *traps
4184 ** @returns xcb_void_cookie_t
4185 **
4186 *****************************************************************************/
4187
4188 xcb_void_cookie_t
4189 xcb_render_add_traps_checked (xcb_connection_t *c ,
4190 xcb_render_picture_t picture ,
4191 int16_t x_off ,
4192 int16_t y_off ,
4193 uint32_t traps_len ,
4194 const xcb_render_trap_t *traps );
4195
4205 /*****************************************************************************
4206 **
4207 ** xcb_void_cookie_t xcb_render_add_traps
4208 **
4209 ** @param xcb_connection_t *c
4210 ** @param xcb_render_picture_t picture
4211 ** @param int16_t x_off
4212 ** @param int16_t y_off
4213 ** @param uint32_t traps_len
4214 ** @param const xcb_render_trap_t *traps
4215 ** @returns xcb_void_cookie_t
4216 **
4217 *****************************************************************************/
4218
4219 xcb_void_cookie_t
4220 xcb_render_add_traps (xcb_connection_t *c ,
4221 xcb_render_picture_t picture ,
4222 int16_t x_off ,
4223 int16_t y_off ,
4224 uint32_t traps_len ,
4225 const xcb_render_trap_t *traps );
4226
4239 /*****************************************************************************
4240 **
4241 ** xcb_void_cookie_t xcb_render_create_solid_fill_checked
4242 **
4243 ** @param xcb_connection_t *c
4244 ** @param xcb_render_picture_t picture
4245 ** @param xcb_render_color_t color
4246 ** @returns xcb_void_cookie_t
4247 **
4248 *****************************************************************************/
4249
4250 xcb_void_cookie_t
4251 xcb_render_create_solid_fill_checked (xcb_connection_t *c ,
4252 xcb_render_picture_t picture ,
4253 xcb_render_color_t color );
4254
4264 /*****************************************************************************
4265 **
4266 ** xcb_void_cookie_t xcb_render_create_solid_fill
4267 **
4268 ** @param xcb_connection_t *c
4269 ** @param xcb_render_picture_t picture
4270 ** @param xcb_render_color_t color
4271 ** @returns xcb_void_cookie_t
4272 **
4273 *****************************************************************************/
4274
4275 xcb_void_cookie_t
4276 xcb_render_create_solid_fill (xcb_connection_t *c ,
4277 xcb_render_picture_t picture ,
4278 xcb_render_color_t color );
4279
4280 int
4281 xcb_render_create_linear_gradient_sizeof (const void *_buffer );
4282
4295 /*****************************************************************************
4296 **
4297 ** xcb_void_cookie_t xcb_render_create_linear_gradient_checked
4298 **
4299 ** @param xcb_connection_t *c
4300 ** @param xcb_render_picture_t picture
4301 ** @param xcb_render_pointfix_t p1
4302 ** @param xcb_render_pointfix_t p2
4303 ** @param uint32_t num_stops
4304 ** @param const xcb_render_fixed_t *stops
4305 ** @param const xcb_render_color_t *colors
4306 ** @returns xcb_void_cookie_t
4307 **
4308 *****************************************************************************/
4309
4310 xcb_void_cookie_t
4311 xcb_render_create_linear_gradient_checked (xcb_connection_t *c ,
4312 xcb_render_picture_t picture ,
4313 xcb_render_pointfix_t p1 ,
4314 xcb_render_pointfix_t p2 ,
4315 uint32_t num_stops ,
4316 const xcb_render_fixed_t *stops ,
4317 const xcb_render_color_t *colors );
4318
4328 /*****************************************************************************
4329 **
4330 ** xcb_void_cookie_t xcb_render_create_linear_gradient
4331 **
4332 ** @param xcb_connection_t *c
4333 ** @param xcb_render_picture_t picture
4334 ** @param xcb_render_pointfix_t p1
4335 ** @param xcb_render_pointfix_t p2
4336 ** @param uint32_t num_stops
4337 ** @param const xcb_render_fixed_t *stops
4338 ** @param const xcb_render_color_t *colors
4339 ** @returns xcb_void_cookie_t
4340 **
4341 *****************************************************************************/
4342
4343 xcb_void_cookie_t
4344 xcb_render_create_linear_gradient (xcb_connection_t *c ,
4345 xcb_render_picture_t picture ,
4346 xcb_render_pointfix_t p1 ,
4347 xcb_render_pointfix_t p2 ,
4348 uint32_t num_stops ,
4349 const xcb_render_fixed_t *stops ,
4350 const xcb_render_color_t *colors );
4351
4352 int
4353 xcb_render_create_radial_gradient_sizeof (const void *_buffer );
4354
4367 /*****************************************************************************
4368 **
4369 ** xcb_void_cookie_t xcb_render_create_radial_gradient_checked
4370 **
4371 ** @param xcb_connection_t *c
4372 ** @param xcb_render_picture_t picture
4373 ** @param xcb_render_pointfix_t inner
4374 ** @param xcb_render_pointfix_t outer
4375 ** @param xcb_render_fixed_t inner_radius
4376 ** @param xcb_render_fixed_t outer_radius
4377 ** @param uint32_t num_stops
4378 ** @param const xcb_render_fixed_t *stops
4379 ** @param const xcb_render_color_t *colors
4380 ** @returns xcb_void_cookie_t
4381 **
4382 *****************************************************************************/
4383
4384 xcb_void_cookie_t
4385 xcb_render_create_radial_gradient_checked (xcb_connection_t *c ,
4386 xcb_render_picture_t picture ,
4387 xcb_render_pointfix_t inner ,
4388 xcb_render_pointfix_t outer ,
4389 xcb_render_fixed_t inner_radius ,
4390 xcb_render_fixed_t outer_radius ,
4391 uint32_t num_stops ,
4392 const xcb_render_fixed_t *stops ,
4393 const xcb_render_color_t *colors );
4394
4404 /*****************************************************************************
4405 **
4406 ** xcb_void_cookie_t xcb_render_create_radial_gradient
4407 **
4408 ** @param xcb_connection_t *c
4409 ** @param xcb_render_picture_t picture
4410 ** @param xcb_render_pointfix_t inner
4411 ** @param xcb_render_pointfix_t outer
4412 ** @param xcb_render_fixed_t inner_radius
4413 ** @param xcb_render_fixed_t outer_radius
4414 ** @param uint32_t num_stops
4415 ** @param const xcb_render_fixed_t *stops
4416 ** @param const xcb_render_color_t *colors
4417 ** @returns xcb_void_cookie_t
4418 **
4419 *****************************************************************************/
4420
4421 xcb_void_cookie_t
4422 xcb_render_create_radial_gradient (xcb_connection_t *c ,
4423 xcb_render_picture_t picture ,
4424 xcb_render_pointfix_t inner ,
4425 xcb_render_pointfix_t outer ,
4426 xcb_render_fixed_t inner_radius ,
4427 xcb_render_fixed_t outer_radius ,
4428 uint32_t num_stops ,
4429 const xcb_render_fixed_t *stops ,
4430 const xcb_render_color_t *colors );
4431
4432 int
4433 xcb_render_create_conical_gradient_sizeof (const void *_buffer );
4434
4447 /*****************************************************************************
4448 **
4449 ** xcb_void_cookie_t xcb_render_create_conical_gradient_checked
4450 **
4451 ** @param xcb_connection_t *c
4452 ** @param xcb_render_picture_t picture
4453 ** @param xcb_render_pointfix_t center
4454 ** @param xcb_render_fixed_t angle
4455 ** @param uint32_t num_stops
4456 ** @param const xcb_render_fixed_t *stops
4457 ** @param const xcb_render_color_t *colors
4458 ** @returns xcb_void_cookie_t
4459 **
4460 *****************************************************************************/
4461
4462 xcb_void_cookie_t
4463 xcb_render_create_conical_gradient_checked (xcb_connection_t *c ,
4464 xcb_render_picture_t picture ,
4465 xcb_render_pointfix_t center ,
4466 xcb_render_fixed_t angle ,
4467 uint32_t num_stops ,
4468 const xcb_render_fixed_t *stops ,
4469 const xcb_render_color_t *colors );
4470
4480 /*****************************************************************************
4481 **
4482 ** xcb_void_cookie_t xcb_render_create_conical_gradient
4483 **
4484 ** @param xcb_connection_t *c
4485 ** @param xcb_render_picture_t picture
4486 ** @param xcb_render_pointfix_t center
4487 ** @param xcb_render_fixed_t angle
4488 ** @param uint32_t num_stops
4489 ** @param const xcb_render_fixed_t *stops
4490 ** @param const xcb_render_color_t *colors
4491 ** @returns xcb_void_cookie_t
4492 **
4493 *****************************************************************************/
4494
4495 xcb_void_cookie_t
4496 xcb_render_create_conical_gradient (xcb_connection_t *c ,
4497 xcb_render_picture_t picture ,
4498 xcb_render_pointfix_t center ,
4499 xcb_render_fixed_t angle ,
4500 uint32_t num_stops ,
4501 const xcb_render_fixed_t *stops ,
4502 const xcb_render_color_t *colors );
4503
4504
4505 #ifdef __cplusplus
4506 }
4507 #endif
4508
4509 #endif
4510